/*
 Navicat Premium Data Transfer

 Source Server         : localhost
 Source Server Type    : MySQL
 Source Server Version : 80036
 Source Host           : localhost:13307
 Source Schema         : hxoa

 Target Server Type    : MySQL
 Target Server Version : 80036
 File Encoding         : 65001

 Date: 07/04/2024 11:11:06
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for company
-- ----------------------------
DROP TABLE IF EXISTS `company`;
CREATE TABLE `company`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '公司名称',
  `is_delete` tinyint NOT NULL DEFAULT 0 COMMENT '是否删除',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `IDX_a76c5cd486f7779bd9c319afd2`(`name`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 19 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of company
-- ----------------------------
INSERT INTO `company` VALUES (1, '2024-03-04 15:44:43.005593', '2024-03-08 08:48:37.000000', '深圳市立创电子商务有限公司', 0);
INSERT INTO `company` VALUES (4, '2024-03-04 16:05:34.701780', '2024-04-07 09:54:56.000000', '深圳市诚亨泰科技有限公司', 0);
INSERT INTO `company` VALUES (5, '2024-03-04 16:05:38.867786', '2024-03-04 16:05:38.867786', '东莞市顶源电子有限公司', 0);
INSERT INTO `company` VALUES (6, '2024-03-04 16:05:42.479027', '2024-03-04 16:05:42.479027', '深圳市福田区赛格电子市场金佳电子经营部', 0);
INSERT INTO `company` VALUES (7, '2024-03-04 16:05:46.775364', '2024-03-04 16:05:46.775364', '深圳市思界电子科技有限公司', 0);
INSERT INTO `company` VALUES (8, '2024-03-04 16:05:55.806537', '2024-03-04 16:05:55.806537', '广州市星翼电信科技有限公司', 0);
INSERT INTO `company` VALUES (9, '2024-03-04 16:06:03.003860', '2024-03-04 16:09:49.000000', '快递费', 1);
INSERT INTO `company` VALUES (10, '2024-03-04 16:06:09.788572', '2024-03-04 16:06:09.788572', '青岛丰喆精密模具有限公司', 0);
INSERT INTO `company` VALUES (11, '2024-03-04 16:06:12.872983', '2024-03-04 16:06:12.872983', '深圳嘉立创科技集团股份有限公司', 0);
INSERT INTO `company` VALUES (12, '2024-03-04 16:06:19.823410', '2024-03-04 16:06:19.823410', '北京特倍福电子技术有限公司', 0);
INSERT INTO `company` VALUES (13, '2024-03-04 16:06:25.937749', '2024-03-04 16:06:25.937749', '上海脉芯网络科技有限公司', 0);
INSERT INTO `company` VALUES (14, '2024-03-22 11:01:20.588144', '2024-03-22 11:01:20.588144', '深圳市声能达科技有限公司', 0);
INSERT INTO `company` VALUES (15, '2024-03-26 10:29:45.595059', '2024-03-26 10:29:45.595059', '深圳市新得润电子有限公司', 0);
INSERT INTO `company` VALUES (16, '2024-04-05 08:47:49.227114', '2024-04-05 08:47:49.227114', '山东矿机华信智能科技有限公司', 0);
INSERT INTO `company` VALUES (17, '2024-04-05 10:03:44.190698', '2024-04-05 10:03:44.190698', '广东润宇传感器股份有限公司', 0);
INSERT INTO `company` VALUES (18, '2024-04-05 15:21:21.989529', '2024-04-05 15:21:21.989529', '宝鸡兴宇腾测控设备有限公司', 0);

-- ----------------------------
-- Table structure for company_storage
-- ----------------------------
DROP TABLE IF EXISTS `company_storage`;
CREATE TABLE `company_storage`  (
  `company_id` int NOT NULL,
  `file_id` int NOT NULL,
  PRIMARY KEY (`company_id`, `file_id`) USING BTREE,
  INDEX `IDX_0958ee6ca6f52985840624bb91`(`company_id`) USING BTREE,
  INDEX `IDX_bdd3a301229b9dec4b95549dfe`(`file_id`) USING BTREE,
  CONSTRAINT `FK_0958ee6ca6f52985840624bb916` FOREIGN KEY (`company_id`) REFERENCES `company` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_bdd3a301229b9dec4b95549dfe7` FOREIGN KEY (`file_id`) REFERENCES `tool_storage` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of company_storage
-- ----------------------------

-- ----------------------------
-- Table structure for contract
-- ----------------------------
DROP TABLE IF EXISTS `contract`;
CREATE TABLE `contract`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  `contract_number` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '合同编号',
  `title` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '合同标题',
  `type` int NOT NULL COMMENT '合同类型(字典)',
  `party_a` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '甲方',
  `party_b` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '乙方',
  `signing_date` date NULL DEFAULT NULL,
  `delivery_deadline` date NULL DEFAULT NULL,
  `status` tinyint NOT NULL DEFAULT 0 COMMENT '审核状态(字典)',
  `is_delete` tinyint NOT NULL DEFAULT 0 COMMENT '是否删除',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `IDX_a2f8461960ce0fcbd0d6551009`(`contract_number`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 9 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of contract
-- ----------------------------

-- ----------------------------
-- Table structure for contract_storage
-- ----------------------------
DROP TABLE IF EXISTS `contract_storage`;
CREATE TABLE `contract_storage`  (
  `contract_id` int NOT NULL,
  `file_id` int NOT NULL,
  PRIMARY KEY (`contract_id`, `file_id`) USING BTREE,
  INDEX `IDX_b0a3f22af56decbc128c674447`(`contract_id`) USING BTREE,
  INDEX `IDX_2fe7cda0f292b099b7e13f8f61`(`file_id`) USING BTREE,
  CONSTRAINT `FK_2fe7cda0f292b099b7e13f8f612` FOREIGN KEY (`file_id`) REFERENCES `tool_storage` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
  CONSTRAINT `FK_b0a3f22af56decbc128c674447e` FOREIGN KEY (`contract_id`) REFERENCES `contract` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of contract_storage
-- ----------------------------

-- ----------------------------
-- Table structure for materials_in_out
-- ----------------------------
DROP TABLE IF EXISTS `materials_in_out`;
CREATE TABLE `materials_in_out`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  `product_id` int NOT NULL COMMENT '产品',
  `in_or_out` tinyint NOT NULL COMMENT '入库或出库',
  `quantity` int NOT NULL DEFAULT 0 COMMENT '数量',
  `unit_price` decimal(15, 10) NOT NULL DEFAULT 0.0000000000 COMMENT '单价',
  `amount` decimal(15, 10) NOT NULL DEFAULT 0.0000000000 COMMENT '金额',
  `agent` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '经办人',
  `issuance_number` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '领料单号',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `is_delete` tinyint NOT NULL DEFAULT 0 COMMENT '是否删除',
  `inventory_inout_number` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '原材料出入库编号',
  `project_id` int NULL DEFAULT NULL COMMENT '项目',
  `inventory_id` int NOT NULL COMMENT '库存',
  `time` datetime NULL DEFAULT NULL COMMENT '时间',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `FK_770f1c4afd9631499ccc08bd58b`(`product_id`) USING BTREE,
  INDEX `FK_7a5bd19f8fd458f6336efedf765`(`project_id`) USING BTREE,
  INDEX `FK_f5dc1f1e4db2f990ef89f0398fa`(`inventory_id`) USING BTREE,
  CONSTRAINT `FK_770f1c4afd9631499ccc08bd58b` FOREIGN KEY (`product_id`) REFERENCES `product` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
  CONSTRAINT `FK_7a5bd19f8fd458f6336efedf765` FOREIGN KEY (`project_id`) REFERENCES `project` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
  CONSTRAINT `FK_f5dc1f1e4db2f990ef89f0398fa` FOREIGN KEY (`inventory_id`) REFERENCES `materials_inventory` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 196 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of materials_in_out
-- ----------------------------
INSERT INTO `materials_in_out` VALUES (190, '2024-04-05 09:13:45.815541', '2024-04-05 09:13:45.000000', 36, 0, 100, 0.0000000000, 0.0000000000, '孟菲', NULL, '', 0, 'SI1017', 13, 68, NULL);
INSERT INTO `materials_in_out` VALUES (191, '2024-04-05 09:19:39.482730', '2024-04-05 09:19:39.000000', 35, 0, 100, 0.0000000000, 0.0000000000, '孟菲', NULL, '', 0, 'SI1018', 13, 69, NULL);
INSERT INTO `materials_in_out` VALUES (192, '2024-04-05 10:22:32.422926', '2024-04-05 10:22:32.000000', 37, 0, 83, 557.5200000000, 46274.1600000000, '孟菲', NULL, '', 0, 'SI1019', 13, 70, NULL);
INSERT INTO `materials_in_out` VALUES (193, '2024-04-05 14:58:36.121528', '2024-04-05 14:58:48.000000', 36, 0, 300, 0.0000000000, 0.0000000000, '王兴昊', NULL, NULL, 0, 'SI1020', 13, 68, NULL);
INSERT INTO `materials_in_out` VALUES (194, '2024-04-05 15:00:20.218109', '2024-04-05 15:00:20.218109', 35, 0, 300, 0.0000000000, 0.0000000000, '王兴昊', NULL, NULL, 0, 'SI1021', 13, 69, NULL);
INSERT INTO `materials_in_out` VALUES (195, '2024-04-05 15:26:13.804510', '2024-04-05 15:26:13.000000', 38, 0, 130, 0.0000000000, 0.0000000000, '王兴昊', NULL, '', 0, 'SI1022', 13, 71, NULL);

-- ----------------------------
-- Table structure for materials_in_out_storage
-- ----------------------------
DROP TABLE IF EXISTS `materials_in_out_storage`;
CREATE TABLE `materials_in_out_storage`  (
  `materials_in_out_id` int NOT NULL,
  `file_id` int NOT NULL,
  PRIMARY KEY (`materials_in_out_id`, `file_id`) USING BTREE,
  INDEX `IDX_9df13ab4d4747575c310668581`(`materials_in_out_id`) USING BTREE,
  INDEX `IDX_96c00bfbcd71e93a6cc070e8e6`(`file_id`) USING BTREE,
  CONSTRAINT `FK_96c00bfbcd71e93a6cc070e8e6c` FOREIGN KEY (`file_id`) REFERENCES `tool_storage` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
  CONSTRAINT `FK_9df13ab4d4747575c3106685810` FOREIGN KEY (`materials_in_out_id`) REFERENCES `materials_in_out` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of materials_in_out_storage
-- ----------------------------

-- ----------------------------
-- Table structure for materials_inventory
-- ----------------------------
DROP TABLE IF EXISTS `materials_inventory`;
CREATE TABLE `materials_inventory`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `is_delete` tinyint NOT NULL DEFAULT 0 COMMENT '是否删除',
  `product_id` int NOT NULL COMMENT '产品',
  `quantity` int NOT NULL DEFAULT 0 COMMENT '库存产品数量',
  `unit_price` decimal(15, 10) NOT NULL DEFAULT 0.0000000000 COMMENT '库存产品单价',
  `project_id` int NOT NULL COMMENT '项目',
  `position` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '库存位置',
  `inventory_number` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '库存编号',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `FK_3915e159f03408035a62721d5be`(`project_id`) USING BTREE,
  INDEX `FK_413008d6a91b215b66971c9a9e8`(`product_id`) USING BTREE,
  CONSTRAINT `FK_3915e159f03408035a62721d5be` FOREIGN KEY (`project_id`) REFERENCES `project` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
  CONSTRAINT `FK_413008d6a91b215b66971c9a9e8` FOREIGN KEY (`product_id`) REFERENCES `product` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 72 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of materials_inventory
-- ----------------------------
INSERT INTO `materials_inventory` VALUES (68, '2024-04-05 09:13:45.802134', '2024-04-05 14:58:36.000000', NULL, 0, 36, 400, 0.0000000000, 13, '库房一, 第三排, 第二层', 'S1014');
INSERT INTO `materials_inventory` VALUES (69, '2024-04-05 09:19:39.479124', '2024-04-05 15:00:20.000000', NULL, 0, 35, 400, 0.0000000000, 13, '库房一, 第三排, 第二层', 'S1015');
INSERT INTO `materials_inventory` VALUES (70, '2024-04-05 10:22:32.418802', '2024-04-05 10:22:32.418802', NULL, 0, 37, 83, 557.5200000000, 13, NULL, 'S1016');
INSERT INTO `materials_inventory` VALUES (71, '2024-04-05 15:26:13.800776', '2024-04-05 15:26:13.800776', NULL, 0, 38, 130, 0.0000000000, 13, NULL, 'S1017');

-- ----------------------------
-- Table structure for product
-- ----------------------------
DROP TABLE IF EXISTS `product`;
CREATE TABLE `product`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '产品名称',
  `is_delete` tinyint NOT NULL DEFAULT 0 COMMENT '是否删除',
  `company_id` int NULL DEFAULT NULL COMMENT '所属公司',
  `name_pinyin` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '产品名称的拼音',
  `unit_id` int NULL DEFAULT NULL COMMENT '单位(字典)',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `product_specification` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '产品规格',
  `product_number` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '产品编号',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `FK_a0503db1630a5b8a4d7deabd556`(`company_id`) USING BTREE,
  INDEX `FK_b15422982adca3bf53adfb535de`(`unit_id`) USING BTREE,
  CONSTRAINT `FK_a0503db1630a5b8a4d7deabd556` FOREIGN KEY (`company_id`) REFERENCES `company` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
  CONSTRAINT `FK_b15422982adca3bf53adfb535de` FOREIGN KEY (`unit_id`) REFERENCES `sys_dict_item` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 39 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of product
-- ----------------------------
INSERT INTO `product` VALUES (34, '2024-04-04 14:11:01.924609', '2024-04-04 14:11:01.924609', '网络型控制器按键保护板', 0, 1, 'wangluoxingkongzhiqianjianbaohuban', 15, '网络型控制器保护板', '283*15*4', 'P1027');
INSERT INTO `product` VALUES (35, '2024-04-05 08:49:29.136458', '2024-04-05 08:49:29.136458', '急停基座', 0, 16, 'jitingjizuo', 15, 'ERP库存名急停端子', 'ZB2BZ102C', 'P1028');
INSERT INTO `product` VALUES (36, '2024-04-05 08:57:45.214384', '2024-04-05 08:57:45.214384', '急停按钮', 0, 16, 'jitinganniu', 15, NULL, 'ZB2BT4C', 'P1029');
INSERT INTO `product` VALUES (37, '2024-04-05 10:13:36.340912', '2024-04-05 10:13:36.340912', '传感器', 0, 17, 'chuanganqi', 14, NULL, 'GUC960-700mm', 'P1030');
INSERT INTO `product` VALUES (38, '2024-04-05 15:21:41.040381', '2024-04-05 15:21:41.040381', '压力传感器', 0, 18, 'yalichuanganqi', 14, NULL, 'GPD60', 'P1031');

-- ----------------------------
-- Table structure for product_storage
-- ----------------------------
DROP TABLE IF EXISTS `product_storage`;
CREATE TABLE `product_storage`  (
  `product_id` int NOT NULL,
  `file_id` int NOT NULL,
  PRIMARY KEY (`product_id`, `file_id`) USING BTREE,
  INDEX `IDX_6dd288598f0a0ea3f72f31cb42`(`product_id`) USING BTREE,
  INDEX `IDX_eecbd68d7d4d565baecee2d76c`(`file_id`) USING BTREE,
  CONSTRAINT `FK_6dd288598f0a0ea3f72f31cb422` FOREIGN KEY (`product_id`) REFERENCES `product` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_eecbd68d7d4d565baecee2d76c7` FOREIGN KEY (`file_id`) REFERENCES `tool_storage` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of product_storage
-- ----------------------------

-- ----------------------------
-- Table structure for project
-- ----------------------------
DROP TABLE IF EXISTS `project`;
CREATE TABLE `project`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '项目名称',
  `is_delete` tinyint NOT NULL DEFAULT 0 COMMENT '是否删除',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `IDX_dedfea394088ed136ddadeee89`(`name`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 18 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of project
-- ----------------------------
INSERT INTO `project` VALUES (1, '2024-03-07 09:35:15.276345', '2024-03-08 08:48:21.000000', '星火项目', 0);
INSERT INTO `project` VALUES (2, '2024-03-07 09:35:20.004729', '2024-03-07 09:35:20.004729', '东大项目', 0);
INSERT INTO `project` VALUES (3, '2024-03-07 09:35:29.213057', '2024-03-07 09:35:29.213057', '沙湾煤业项目', 0);
INSERT INTO `project` VALUES (13, '2024-04-02 13:53:11.973237', '2024-04-04 14:15:15.000000', '未分类项目', 0);
INSERT INTO `project` VALUES (14, '2024-04-04 14:13:50.885496', '2024-04-04 14:13:50.885496', '七台河煤矿', 0);
INSERT INTO `project` VALUES (15, '2024-04-04 14:14:02.655982', '2024-04-04 14:14:02.655982', '红旗煤矿', 0);
INSERT INTO `project` VALUES (16, '2024-04-04 14:14:19.407108', '2024-04-04 14:14:19.407108', '首旺煤矿', 0);
INSERT INTO `project` VALUES (17, '2024-04-04 14:14:43.054552', '2024-04-04 14:14:43.054552', '沫凤项目', 0);

-- ----------------------------
-- Table structure for project_storage
-- ----------------------------
DROP TABLE IF EXISTS `project_storage`;
CREATE TABLE `project_storage`  (
  `project_id` int NOT NULL,
  `file_id` int NOT NULL,
  PRIMARY KEY (`project_id`, `file_id`) USING BTREE,
  INDEX `IDX_9058e954f8f09e2cfa2261c1f2`(`project_id`) USING BTREE,
  INDEX `IDX_ac08ac8e4f973873f03dafaca2`(`file_id`) USING BTREE,
  CONSTRAINT `FK_9058e954f8f09e2cfa2261c1f26` FOREIGN KEY (`project_id`) REFERENCES `project` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_ac08ac8e4f973873f03dafaca2b` FOREIGN KEY (`file_id`) REFERENCES `tool_storage` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of project_storage
-- ----------------------------

-- ----------------------------
-- Table structure for sys_captcha_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_captcha_log`;
CREATE TABLE `sys_captcha_log`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `user_id` int NULL DEFAULT NULL,
  `account` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NULL DEFAULT NULL,
  `code` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NULL DEFAULT NULL,
  `provider` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NULL DEFAULT NULL,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb3 COLLATE = utf8mb3_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_captcha_log
-- ----------------------------

-- ----------------------------
-- Table structure for sys_config
-- ----------------------------
DROP TABLE IF EXISTS `sys_config`;
CREATE TABLE `sys_config`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `key` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `value` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `IDX_2c363c25cf99bcaab3a7f389ba`(`key`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 10 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_config
-- ----------------------------
INSERT INTO `sys_config` VALUES (1, 'sys_user_initPassword', '初始密码', '123456', '创建管理员账号的初始密码', '2023-11-10 00:31:44.154921', '2023-11-10 00:31:44.161263');
INSERT INTO `sys_config` VALUES (2, 'sys_api_token', 'API Token', 'huaxin-admin', '用于请求 @ApiToken 的控制器', '2023-11-10 00:31:44.154921', '2024-01-29 09:52:27.000000');
INSERT INTO `sys_config` VALUES (3, 'companyName', '公司名称', '华信智能', '菜单侧栏公司的名称', '2024-03-06 13:06:47.347660', '2024-03-06 13:07:18.000000');
INSERT INTO `sys_config` VALUES (4, 'inventory_inout_number_prefix_in', '人库单号前缀', 'SI', '人库单号前缀', '2024-03-06 14:50:04.844992', '2024-03-25 15:52:28.000000');
INSERT INTO `sys_config` VALUES (5, 'inventory_inout_number_prefix_out', '出库单号前缀', 'SO', '出库单号前缀', '2024-03-22 13:37:21.165879', '2024-03-25 15:52:32.000000');
INSERT INTO `sys_config` VALUES (6, 'product_number_prefix', '产品编号前缀', 'P', '产品编号前缀', '2024-03-22 15:51:10.960064', '2024-03-22 15:51:10.960064');
INSERT INTO `sys_config` VALUES (7, 'inventory_number_prefix', '库存编号', 'S', '库存编号', '2024-03-25 15:54:08.836711', '2024-03-25 15:54:08.836711');
INSERT INTO `sys_config` VALUES (8, 'app_version', 'app版本号', '1.0.1', 'app版本号', '2024-04-07 10:32:41.513615', '2024-04-07 10:32:41.513615');
INSERT INTO `sys_config` VALUES (9, 'is_app_force_upgrade', 'app是否强制更新', '1', 'app是否强制更新。一般用于必须升级的更新需求。', '2024-04-07 10:33:07.732646', '2024-04-07 10:33:07.732646');

-- ----------------------------
-- Table structure for sys_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_dept`;
CREATE TABLE `sys_dept`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NOT NULL,
  `orderNo` int NULL DEFAULT 0,
  `mpath` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_general_ci NULL DEFAULT '',
  `parentId` int NULL DEFAULT NULL,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `FK_c75280b01c49779f2323536db67`(`parentId`) USING BTREE,
  CONSTRAINT `FK_c75280b01c49779f2323536db67` FOREIGN KEY (`parentId`) REFERENCES `sys_dept` (`id`) ON DELETE SET NULL ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 12 CHARACTER SET = utf8mb3 COLLATE = utf8mb3_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dept
-- ----------------------------
INSERT INTO `sys_dept` VALUES (1, '山东矿机华能装备制造', 1, '1.', NULL, '2023-11-10 00:31:43.996025', '2024-04-02 14:57:50.000000');
INSERT INTO `sys_dept` VALUES (2, '信息电控部', 1, '1.2.', 1, '2023-11-10 00:31:43.996025', '2024-04-02 14:58:04.000000');
INSERT INTO `sys_dept` VALUES (10, '山东矿机华信智能科技', 1, '10.', NULL, '2024-04-07 10:33:31.759382', '2024-04-07 10:33:31.000000');
INSERT INTO `sys_dept` VALUES (11, '计算机开发部', 0, '10.11.', 10, '2024-04-07 10:33:44.029857', '2024-04-07 10:33:44.000000');

-- ----------------------------
-- Table structure for sys_dict
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict`;
CREATE TABLE `sys_dict`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  `create_by` int NOT NULL COMMENT '创建者',
  `update_by` int NOT NULL COMMENT '更新者',
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `status` tinyint NOT NULL DEFAULT 1,
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `IDX_d112365748f740ee260b65ce91`(`name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dict
-- ----------------------------

-- ----------------------------
-- Table structure for sys_dict_item
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_item`;
CREATE TABLE `sys_dict_item`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  `create_by` int NOT NULL COMMENT '创建者',
  `update_by` int NOT NULL COMMENT '更新者',
  `label` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `value` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `order` int NULL DEFAULT NULL COMMENT '字典项排序',
  `status` tinyint NOT NULL DEFAULT 1,
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `type_id` int NULL DEFAULT NULL,
  `orderNo` int NULL DEFAULT NULL COMMENT '字典项排序',
  `deleted_at` datetime(6) NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `FK_d68ea74fcb041c8cfd1fd659844`(`type_id`) USING BTREE,
  CONSTRAINT `FK_d68ea74fcb041c8cfd1fd659844` FOREIGN KEY (`type_id`) REFERENCES `sys_dict_type` (`id`) ON DELETE CASCADE ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 49 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dict_item
-- ----------------------------
INSERT INTO `sys_dict_item` VALUES (1, '2024-01-29 01:24:51.846135', '2024-01-29 02:23:19.000000', 1, 1, '男', '1', 0, 1, '性别男', 1, 3, '2024-03-01 15:28:21.702930');
INSERT INTO `sys_dict_item` VALUES (2, '2024-01-29 01:32:58.458741', '2024-01-29 01:58:20.000000', 1, 1, '女', '0', 1, 1, '性别女', 1, 2, '2024-03-01 15:28:21.702930');
INSERT INTO `sys_dict_item` VALUES (3, '2024-01-29 01:59:17.805394', '2024-01-29 14:37:18.000000', 1, 1, '人妖王', '3', NULL, 1, '安布里奥·伊万科夫', 1, 0, '2024-03-01 15:28:21.702930');
INSERT INTO `sys_dict_item` VALUES (5, '2024-01-29 02:13:01.782466', '2024-01-29 02:13:01.782466', 1, 1, '显示', '1', NULL, 1, '显示菜单', 2, 0, '2024-03-01 15:28:21.702930');
INSERT INTO `sys_dict_item` VALUES (6, '2024-01-29 02:13:31.134721', '2024-01-29 02:13:31.134721', 1, 1, '隐藏', '0', NULL, 1, '隐藏菜单', 2, 0, '2024-03-01 15:28:21.702930');
INSERT INTO `sys_dict_item` VALUES (10, '2024-02-28 16:39:44.977246', '2024-02-29 15:56:02.670095', 1, 1, '商务合同', 'business', NULL, 1, '商务合同', 3, 0, '2024-03-01 15:28:21.702930');
INSERT INTO `sys_dict_item` VALUES (11, '2024-02-28 16:42:43.539979', '2024-02-29 15:56:07.676659', 1, 1, '销售合同', 'sales', NULL, 1, '', 3, 1, '2024-03-01 15:28:21.702930');
INSERT INTO `sys_dict_item` VALUES (12, '2024-02-28 16:42:58.224299', '2024-02-29 15:56:05.815675', 1, 1, '租赁合同', 'Lease', NULL, 1, NULL, 3, 2, '2024-03-01 15:28:21.702930');
INSERT INTO `sys_dict_item` VALUES (13, '2024-02-28 16:43:26.311650', '2024-02-29 15:56:10.462447', 1, 1, '服务合同', 'service', NULL, 1, NULL, 3, 3, '2024-03-01 15:28:21.702930');
INSERT INTO `sys_dict_item` VALUES (14, '2024-03-04 13:42:26.688441', '2024-03-04 13:42:26.688441', 1, 1, '件', 'unit_jian', NULL, 1, NULL, 5, 0, '2024-03-04 13:42:26.688441');
INSERT INTO `sys_dict_item` VALUES (15, '2024-03-04 13:42:38.298733', '2024-03-04 13:42:38.298733', 1, 1, '个', 'unit_ge', NULL, 1, NULL, 5, 1, '2024-03-04 13:42:38.298733');
INSERT INTO `sys_dict_item` VALUES (16, '2024-03-04 13:43:30.965353', '2024-03-04 13:43:30.965353', 1, 1, '千克', 'unit_qianke', NULL, 1, NULL, 5, 2, '2024-03-04 13:43:30.965353');
INSERT INTO `sys_dict_item` VALUES (17, '2024-03-04 13:43:44.353125', '2024-03-04 13:43:44.353125', 1, 1, '克', 'unit_ke', NULL, 1, NULL, 5, 3, '2024-03-04 13:43:44.353125');
INSERT INTO `sys_dict_item` VALUES (18, '2024-03-04 13:43:56.643339', '2024-03-04 13:43:56.643339', 1, 1, '升', 'unit_sheng', NULL, 1, NULL, 5, 4, '2024-03-04 13:43:56.643339');
INSERT INTO `sys_dict_item` VALUES (19, '2024-03-04 13:44:09.242901', '2024-03-04 13:44:09.242901', 1, 1, '毫升', 'unit_haosheng', NULL, 1, NULL, 5, 5, '2024-03-04 13:44:09.242901');
INSERT INTO `sys_dict_item` VALUES (20, '2024-03-04 13:44:26.620837', '2024-03-04 13:44:29.000000', 1, 1, '卷', 'unit_juan', NULL, 1, NULL, 5, 6, '2024-03-04 13:44:29.654314');
INSERT INTO `sys_dict_item` VALUES (21, '2024-03-04 14:10:38.216659', '2024-03-04 14:10:54.000000', 1, 1, '批', 'unit_pi', NULL, 1, NULL, 5, 7, '2024-03-04 14:10:54.729114');
INSERT INTO `sys_dict_item` VALUES (22, '2024-03-04 14:10:48.864655', '2024-03-04 14:10:48.864655', 1, 1, '片', 'unit_pian', NULL, 1, NULL, 5, 8, '2024-03-04 14:10:48.864655');
INSERT INTO `sys_dict_item` VALUES (23, '2024-03-04 14:11:06.319281', '2024-03-04 14:11:06.319281', 1, 1, '套', 'unit_tao', NULL, 1, NULL, 5, 9, '2024-03-04 14:11:06.319281');
INSERT INTO `sys_dict_item` VALUES (24, '2024-03-07 16:33:17.412474', '2024-03-07 16:33:17.412474', 1, 1, '奥迪A8(鲁UKS052)', 'car_1', NULL, 1, NULL, 6, 1, '2024-03-07 16:33:17.412474');
INSERT INTO `sys_dict_item` VALUES (25, '2024-03-07 16:33:44.438153', '2024-03-07 16:33:44.438153', 1, 1, '阿尔法(鲁B33A52)', 'car_2', NULL, 1, NULL, 6, 1, '2024-03-07 16:33:44.438153');
INSERT INTO `sys_dict_item` VALUES (26, '2024-03-07 16:34:08.872618', '2024-03-07 16:34:08.872618', 1, 1, '威尔法(鲁B33G21)', 'car_3', NULL, 1, NULL, 6, 2, '2024-03-07 16:34:08.872618');
INSERT INTO `sys_dict_item` VALUES (27, '2024-03-25 08:28:13.363025', '2024-03-25 08:30:51.000000', 1, 1, '库房一', 'room_1', NULL, 1, NULL, 7, 0, '2024-03-25 08:30:51.792948');
INSERT INTO `sys_dict_item` VALUES (28, '2024-03-25 08:28:23.806536', '2024-03-25 08:30:55.000000', 1, 1, '库房二', 'room_2', NULL, 1, NULL, 7, 1, '2024-03-25 08:30:55.408039');
INSERT INTO `sys_dict_item` VALUES (29, '2024-03-25 08:28:31.643400', '2024-03-25 08:30:59.000000', 1, 1, '库房三', 'room_3', NULL, 1, NULL, 7, 2, '2024-03-25 08:30:59.195490');
INSERT INTO `sys_dict_item` VALUES (30, '2024-03-25 08:29:49.485531', '2024-03-25 08:30:39.000000', 1, 1, '第一排', 'line_1', NULL, 1, NULL, 8, 0, '2024-03-25 08:30:39.156586');
INSERT INTO `sys_dict_item` VALUES (31, '2024-03-25 08:29:58.991397', '2024-03-25 08:30:22.000000', 1, 1, '第二排', 'line_2', NULL, 1, NULL, 8, 1, '2024-03-25 08:30:22.398794');
INSERT INTO `sys_dict_item` VALUES (32, '2024-03-25 08:30:09.155470', '2024-03-25 08:30:09.155470', 1, 1, '第三排', 'line_3', NULL, 1, NULL, 8, 2, '2024-03-25 08:30:09.155470');
INSERT INTO `sys_dict_item` VALUES (33, '2024-03-25 08:30:18.716726', '2024-03-25 08:30:18.716726', 1, 1, '第四排', 'line_4', NULL, 1, NULL, 8, 3, '2024-03-25 08:30:18.716726');
INSERT INTO `sys_dict_item` VALUES (34, '2024-03-25 08:30:33.674158', '2024-03-25 08:30:33.674158', 1, 1, '第五排', 'line_5', NULL, 1, NULL, 8, 4, '2024-03-25 08:30:33.674158');
INSERT INTO `sys_dict_item` VALUES (35, '2024-03-25 08:32:06.027559', '2024-03-25 08:32:06.027559', 1, 1, '第一层', 'level_1', NULL, 1, NULL, 9, 0, '2024-03-25 08:32:06.027559');
INSERT INTO `sys_dict_item` VALUES (36, '2024-03-25 08:32:14.302500', '2024-03-25 08:32:14.302500', 1, 1, '第二层', 'level_2', NULL, 1, NULL, 9, 1, '2024-03-25 08:32:14.302500');
INSERT INTO `sys_dict_item` VALUES (37, '2024-03-25 08:32:54.412145', '2024-03-25 08:32:54.412145', 1, 1, '第三层', 'level_3', NULL, 1, NULL, 9, 2, '2024-03-25 08:32:54.412145');
INSERT INTO `sys_dict_item` VALUES (38, '2024-03-25 08:33:02.567402', '2024-03-25 08:33:02.567402', 1, 1, '第四层', 'level_4', NULL, 1, NULL, 9, 3, '2024-03-25 08:33:02.567402');
INSERT INTO `sys_dict_item` VALUES (39, '2024-03-25 08:33:12.209556', '2024-03-25 08:33:12.209556', 1, 1, '第五层', 'level_5', NULL, 1, NULL, 9, 4, '2024-03-25 08:33:12.209556');
INSERT INTO `sys_dict_item` VALUES (40, '2024-04-02 12:26:18.720198', '2024-04-02 12:26:18.720198', 1, 1, '中间过渡架电控部分', 'sales_quotation_group_1', NULL, 1, NULL, 10, 0, '2024-04-02 12:26:18.720198');
INSERT INTO `sys_dict_item` VALUES (41, '2024-04-02 12:26:26.985680', '2024-04-02 12:26:26.985680', 1, 1, '端头架电控部分', 'sales_quotation_group_2', NULL, 1, NULL, 10, 1, '2024-04-02 12:26:26.985680');
INSERT INTO `sys_dict_item` VALUES (42, '2024-04-02 12:26:39.202760', '2024-04-02 12:26:39.202760', 1, 1, '主阀部分', 'sales_quotation_group_3', NULL, 1, NULL, 10, 2, '2024-04-02 12:26:39.202760');
INSERT INTO `sys_dict_item` VALUES (43, '2024-04-02 12:26:45.611332', '2024-04-02 12:26:45.611332', 1, 1, '自动反冲洗过滤器部分', 'sales_quotation_group_4', NULL, 1, NULL, 10, 3, '2024-04-02 12:26:45.611332');
INSERT INTO `sys_dict_item` VALUES (44, '2024-04-02 12:26:52.092188', '2024-04-02 12:26:52.092188', 1, 1, '位移测量部分', 'sales_quotation_group_5', NULL, 1, NULL, 10, 4, '2024-04-02 12:26:52.092188');
INSERT INTO `sys_dict_item` VALUES (45, '2024-04-02 12:26:59.178581', '2024-04-02 12:26:59.178581', 1, 1, '压力检测部分', 'sales_quotation_group_6', NULL, 1, NULL, 10, 5, '2024-04-02 12:26:59.178581');
INSERT INTO `sys_dict_item` VALUES (46, '2024-04-02 12:27:05.494866', '2024-04-02 12:27:05.494866', 1, 1, '煤机定位部分', 'sales_quotation_group_7', NULL, 1, NULL, 10, 6, '2024-04-02 12:27:05.494866');
INSERT INTO `sys_dict_item` VALUES (47, '2024-04-02 12:27:12.313251', '2024-04-02 12:27:12.313251', 1, 1, '姿态检测部分', 'sales_quotation_group_8', NULL, 1, NULL, 10, 7, '2024-04-02 12:27:12.313251');
INSERT INTO `sys_dict_item` VALUES (48, '2024-04-02 15:01:53.004626', '2024-04-02 15:01:53.004626', 1, 1, 'A区', 'areaA', NULL, 1, NULL, 8, 1, '2024-04-02 15:01:53.004626');

-- ----------------------------
-- Table structure for sys_dict_type
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_type`;
CREATE TABLE `sys_dict_type`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  `create_by` int NOT NULL COMMENT '创建者',
  `update_by` int NOT NULL COMMENT '更新者',
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `status` tinyint NOT NULL DEFAULT 1,
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `code` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `deleted_at` datetime(6) NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `IDX_74d0045ff7fab9f67adc0b1bda`(`code`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 12 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dict_type
-- ----------------------------
INSERT INTO `sys_dict_type` VALUES (1, '2024-01-28 08:19:12.777447', '2024-02-08 13:05:10.000000', 1, 1, '性别', 1, '性别单选', 'sys_user_gender', '2024-03-01 15:28:21.689753');
INSERT INTO `sys_dict_type` VALUES (2, '2024-01-28 08:38:41.235185', '2024-01-29 02:11:33.000000', 1, 1, '菜单显示状态', 1, '菜单显示状态', 'sys_show_hide', '2024-03-01 15:28:21.689753');
INSERT INTO `sys_dict_type` VALUES (3, '2024-02-28 16:38:27.311577', '2024-03-04 13:26:29.000000', 1, 1, '合同类型', 1, '合同类型', 'contract_type', '2024-03-04 13:26:29.911469');
INSERT INTO `sys_dict_type` VALUES (5, '2024-03-04 13:41:05.156027', '2024-04-05 10:12:14.000000', 1, 9, '单位', 1, '材料盘点表等单位。件。个。台', 'unit', '2024-04-05 10:12:14.058367');
INSERT INTO `sys_dict_type` VALUES (6, '2024-03-07 16:32:26.985730', '2024-03-07 16:32:26.985730', 1, 1, '公司车辆', 1, '公司的公车', 'vehicle', '2024-03-07 16:32:26.985730');
INSERT INTO `sys_dict_type` VALUES (7, '2024-03-25 08:27:37.461575', '2024-03-25 08:27:37.461575', 1, 1, '库存位置-房间', 1, '库存存放的房间', 'inventory_room', '2024-03-25 08:27:37.461575');
INSERT INTO `sys_dict_type` VALUES (8, '2024-03-25 08:29:29.110447', '2024-03-25 08:29:29.110447', 1, 1, '库存位置-排架号', 1, '库存位置-排架号', 'inventory_line', '2024-03-25 08:29:29.110447');
INSERT INTO `sys_dict_type` VALUES (9, '2024-03-25 08:31:52.669289', '2024-03-25 08:31:52.669289', 1, 1, '库存位置-层数', 1, NULL, 'inventory_line_level', '2024-03-25 08:31:52.669289');
INSERT INTO `sys_dict_type` VALUES (10, '2024-04-02 12:25:40.233758', '2024-04-02 12:25:40.233758', 1, 1, '电解控报价计算-分组', 1, NULL, 'sale_quotation_group', '2024-04-02 12:25:40.233758');

-- ----------------------------
-- Table structure for sys_login_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_login_log`;
CREATE TABLE `sys_login_log`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `ip` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `ua` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `address` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `provider` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  `user_id` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `FK_3029712e0df6a28edaee46fd470`(`user_id`) USING BTREE,
  CONSTRAINT `FK_3029712e0df6a28edaee46fd470` FOREIGN KEY (`user_id`) REFERENCES `sys_user` (`id`) ON DELETE CASCADE ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 72 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_login_log
-- ----------------------------
INSERT INTO `sys_login_log` VALUES (1, '144.0.23.133', 'Dart/3.2 (dart:io)', '山东省青岛市', NULL, '2024-04-01 08:50:32.291716', '2024-04-01 08:50:32.291716', 1);
INSERT INTO `sys_login_log` VALUES (2, '144.0.23.133', 'Dart/3.3 (dart:io)', '山东省青岛市', NULL, '2024-04-01 14:37:00.079842', '2024-04-01 14:37:00.079842', 1);
INSERT INTO `sys_login_log` VALUES (3, '144.0.23.133', 'Dart/3.3 (dart:io)', '山东省青岛市', NULL, '2024-04-01 15:11:30.159405', '2024-04-01 15:11:30.159405', 1);
INSERT INTO `sys_login_log` VALUES (4, '144.0.23.133', 'Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/119.0.0.0 Safari/537.36 Edg/119.0.0.0', '山东省青岛市', NULL, '2024-04-01 15:15:45.157349', '2024-04-01 15:15:45.157349', 1);
INSERT INTO `sys_login_log` VALUES (5, '144.0.23.133', 'Dart/3.3 (dart:io)', '山东省青岛市', NULL, '2024-04-01 15:34:38.228762', '2024-04-01 15:34:38.228762', 1);
INSERT INTO `sys_login_log` VALUES (6, '144.0.23.133', 'Dart/3.3 (dart:io)', '山东省青岛市', NULL, '2024-04-01 15:41:22.061919', '2024-04-01 15:41:22.061919', 1);
INSERT INTO `sys_login_log` VALUES (7, '144.0.23.133', 'Dart/3.3 (dart:io)', '山东省青岛市', NULL, '2024-04-01 15:44:13.373410', '2024-04-01 15:44:13.373410', 1);
INSERT INTO `sys_login_log` VALUES (8, '144.0.23.133', 'Dart/3.3 (dart:io)', '山东省青岛市', NULL, '2024-04-01 15:47:23.396192', '2024-04-01 15:47:23.396192', 1);
INSERT INTO `sys_login_log` VALUES (9, '144.0.23.133', 'Dart/3.3 (dart:io)', '山东省青岛市', NULL, '2024-04-01 16:16:31.291096', '2024-04-01 16:16:31.291096', 1);
INSERT INTO `sys_login_log` VALUES (10, '144.0.23.133', 'Dart/3.3 (dart:io)', '山东省青岛市', NULL, '2024-04-01 16:21:30.780126', '2024-04-01 16:21:30.780126', 1);
INSERT INTO `sys_login_log` VALUES (11, '144.0.23.133', 'Dart/3.2 (dart:io)', '山东省青岛市', NULL, '2024-04-01 16:49:57.352530', '2024-04-01 16:49:57.352530', 1);
INSERT INTO `sys_login_log` VALUES (12, '144.0.23.133', 'Dart/3.2 (dart:io)', '山东省青岛市', NULL, '2024-04-01 16:50:13.073327', '2024-04-01 16:50:13.073327', 1);
INSERT INTO `sys_login_log` VALUES (13, '223.104.195.74', 'Dart/3.2 (dart:io)', '山东省潍坊市', NULL, '2024-04-01 17:16:04.439246', '2024-04-01 17:16:04.439246', 1);
INSERT INTO `sys_login_log` VALUES (14, '144.0.23.133', 'Dart/3.2 (dart:io)', '山东省青岛市', NULL, '2024-04-01 17:30:31.958849', '2024-04-01 17:30:31.958849', 1);
INSERT INTO `sys_login_log` VALUES (15, '221.1.97.166', 'Dart/3.2 (dart:io)', '山东省潍坊市昌乐县', NULL, '2024-04-02 10:09:56.131711', '2024-04-02 10:09:56.131711', 1);
INSERT INTO `sys_login_log` VALUES (16, '221.1.97.166', 'Dart/3.2 (dart:io)', '山东省潍坊市昌乐县', NULL, '2024-04-02 10:19:42.684419', '2024-04-02 10:19:42.684419', 1);
INSERT INTO `sys_login_log` VALUES (17, '112.224.65.182', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36 Edg/123.0.0.0', '山东省济南市', NULL, '2024-04-02 14:56:57.968284', '2024-04-02 14:56:57.968284', 1);
INSERT INTO `sys_login_log` VALUES (18, '112.224.65.182', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36 Edg/123.0.0.0', '山东省济南市', NULL, '2024-04-02 14:59:28.837362', '2024-04-02 14:59:28.837362', 9);
INSERT INTO `sys_login_log` VALUES (19, '112.224.65.182', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36 Edg/123.0.0.0', '山东省济南市', NULL, '2024-04-02 14:59:48.312224', '2024-04-02 14:59:48.312224', 1);
INSERT INTO `sys_login_log` VALUES (20, '221.1.97.166', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36 Edg/123.0.0.0', '山东省潍坊市昌乐县', NULL, '2024-04-02 15:38:45.330867', '2024-04-02 15:38:45.330867', 1);
INSERT INTO `sys_login_log` VALUES (21, '221.1.97.166', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36 Edg/123.0.0.0', '山东省潍坊市昌乐县', NULL, '2024-04-02 15:39:52.649278', '2024-04-02 15:39:52.649278', 10);
INSERT INTO `sys_login_log` VALUES (22, '221.1.97.166', 'Dart/3.2 (dart:io)', '山东省潍坊市昌乐县', NULL, '2024-04-02 15:40:20.394755', '2024-04-02 15:40:20.394755', 10);
INSERT INTO `sys_login_log` VALUES (23, '221.1.97.166', 'Dart/3.2 (dart:io)', '山东省潍坊市昌乐县', NULL, '2024-04-02 16:04:31.143028', '2024-04-02 16:04:31.143028', 1);
INSERT INTO `sys_login_log` VALUES (24, '112.224.65.182', 'Dart/3.3 (dart:io)', '山东省济南市', NULL, '2024-04-02 16:18:52.597148', '2024-04-02 16:18:52.597148', 1);
INSERT INTO `sys_login_log` VALUES (25, '112.224.65.182', 'Dart/3.3 (dart:io)', '山东省济南市', NULL, '2024-04-02 16:21:03.861179', '2024-04-02 16:21:03.861179', 1);
INSERT INTO `sys_login_log` VALUES (26, '221.1.97.166', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36 Edg/123.0.0.0', '山东省潍坊市昌乐县', NULL, '2024-04-02 16:22:06.193594', '2024-04-02 16:22:06.193594', 1);
INSERT INTO `sys_login_log` VALUES (27, '221.1.97.166', 'Dart/3.3 (dart:io)', '山东省潍坊市昌乐县', NULL, '2024-04-02 16:27:03.753690', '2024-04-02 16:27:03.753690', 1);
INSERT INTO `sys_login_log` VALUES (28, '221.1.97.166', 'Dart/3.3 (dart:io)', '山东省潍坊市昌乐县', NULL, '2024-04-02 16:34:35.796027', '2024-04-02 16:34:35.796027', 1);
INSERT INTO `sys_login_log` VALUES (29, '221.1.97.166', 'Dart/3.3 (dart:io)', '山东省潍坊市昌乐县', NULL, '2024-04-02 16:35:12.372648', '2024-04-02 16:35:12.372648', 1);
INSERT INTO `sys_login_log` VALUES (30, '221.1.97.166', 'Dart/3.3 (dart:io)', '山东省潍坊市昌乐县', NULL, '2024-04-02 16:51:18.226019', '2024-04-02 16:51:18.226019', 1);
INSERT INTO `sys_login_log` VALUES (31, '221.1.97.166', 'Dart/3.2 (dart:io)', '山东省潍坊市昌乐县', NULL, '2024-04-02 16:52:11.095661', '2024-04-02 16:52:11.095661', 1);
INSERT INTO `sys_login_log` VALUES (32, '221.1.97.166', 'Dart/3.2 (dart:io)', '山东省潍坊市昌乐县', NULL, '2024-04-02 16:52:46.246857', '2024-04-02 16:52:46.246857', 1);
INSERT INTO `sys_login_log` VALUES (33, '223.104.195.90', 'Mozilla/5.0 (iPhone; CPU iPhone OS 17_2 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148 MicroMessenger/8.0.48(0x1800302c) NetType/4G Language/zh_CN', '山东省潍坊市', NULL, '2024-04-02 18:06:51.031947', '2024-04-02 18:06:51.031947', 10);
INSERT INTO `sys_login_log` VALUES (34, '17.232.78.156', 'Dart/3.3 (dart:io)', '美国Apple', NULL, '2024-04-02 20:38:53.231472', '2024-04-02 20:38:53.231472', 1);
INSERT INTO `sys_login_log` VALUES (35, '221.1.97.166', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36 NetType/WIFI MicroMessenger/7.0.20.1781(0x6700143B) WindowsWechat(0x63090a13) XWEB/9079 Flue', '山东省潍坊市昌乐县', NULL, '2024-04-03 08:08:44.705984', '2024-04-03 08:08:44.705984', 1);
INSERT INTO `sys_login_log` VALUES (36, '221.1.97.166', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/116.0.0.0 Safari/537.36 NetType/WIFI MicroMessenger/7.0.20.1781(0x6700143B) WindowsWechat(0x6309092b) XWEB/9079 Flue', '山东省潍坊市昌乐县', NULL, '2024-04-03 08:09:10.249023', '2024-04-03 08:09:10.249023', 9);
INSERT INTO `sys_login_log` VALUES (37, '144.0.23.133', 'Dart/3.2 (dart:io)', '山东省青岛市', NULL, '2024-04-03 15:15:03.718007', '2024-04-03 15:15:03.718007', 1);
INSERT INTO `sys_login_log` VALUES (38, '144.0.23.133', 'Dart/3.2 (dart:io)', '山东省青岛市', NULL, '2024-04-03 15:38:42.155118', '2024-04-03 15:38:42.155118', 1);
INSERT INTO `sys_login_log` VALUES (39, '221.1.97.166', 'Dart/3.2 (dart:io)', '山东省潍坊市昌乐县', NULL, '2024-04-03 18:25:46.887892', '2024-04-03 18:25:46.887892', 1);
INSERT INTO `sys_login_log` VALUES (40, '221.1.97.166', 'Dart/3.2 (dart:io)', '山东省潍坊市昌乐县', NULL, '2024-04-04 13:54:25.249419', '2024-04-04 13:54:25.249419', 1);
INSERT INTO `sys_login_log` VALUES (41, '112.224.195.64', 'Mozilla/5.0 (iPhone; CPU iPhone OS 17_3_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148 MicroMessenger/8.0.48(0x1800302c) NetType/4G Language/zh_CN', '山东省济南市', NULL, '2024-04-04 13:55:42.245768', '2024-04-04 13:55:42.245768', 1);
INSERT INTO `sys_login_log` VALUES (42, '221.1.97.166', 'Mozilla/5.0 (iPhone; CPU iPhone OS 17_3_1 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148 MicroMessenger/8.0.47(0x18002f2c) NetType/4G Language/zh_CN', '山东省潍坊市昌乐县', NULL, '2024-04-04 13:58:47.699965', '2024-04-04 13:58:47.699965', 1);
INSERT INTO `sys_login_log` VALUES (43, '221.1.97.166', 'Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/534.24 (KHTML, like Gecko) Chrome/89.0.4389.116 Safari/534.24 Device/pipa Model/23043RP34C XiaoMi/MiuiBrowser/14.7.76', '山东省潍坊市昌乐县', NULL, '2024-04-04 14:00:07.465436', '2024-04-04 14:00:07.465436', 1);
INSERT INTO `sys_login_log` VALUES (44, '221.1.97.166', 'Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/534.24 (KHTML, like Gecko) Chrome/89.0.4389.116 Safari/534.24 Device/pipa Model/23043RP34C XiaoMi/MiuiBrowser/14.7.76', '山东省潍坊市昌乐县', NULL, '2024-04-04 14:00:17.602620', '2024-04-04 14:00:17.602620', 1);
INSERT INTO `sys_login_log` VALUES (45, '221.1.97.166', 'Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/534.24 (KHTML, like Gecko) Chrome/89.0.4389.116 Safari/534.24 Device/pipa Model/23043RP34C XiaoMi/MiuiBrowser/14.7.76', '山东省潍坊市昌乐县', NULL, '2024-04-04 14:00:42.762900', '2024-04-04 14:00:42.762900', 1);
INSERT INTO `sys_login_log` VALUES (46, '221.1.97.166', 'Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/534.24 (KHTML, like Gecko) Chrome/89.0.4389.116 Safari/534.24 Device/pipa Model/23043RP34C XiaoMi/MiuiBrowser/14.7.76', '山东省潍坊市昌乐县', NULL, '2024-04-04 14:01:48.207951', '2024-04-04 14:01:48.207951', 1);
INSERT INTO `sys_login_log` VALUES (47, '221.1.97.166', 'Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/534.24 (KHTML, like Gecko) Chrome/89.0.4389.116 Safari/534.24 Device/pipa Model/23043RP34C XiaoMi/MiuiBrowser/14.7.76', '山东省潍坊市昌乐县', NULL, '2024-04-04 14:02:33.248728', '2024-04-04 14:02:33.248728', 1);
INSERT INTO `sys_login_log` VALUES (48, '221.1.97.166', 'Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/534.24 (KHTML, like Gecko) Chrome/89.0.4389.116 Safari/534.24 Device/pipa Model/23043RP34C XiaoMi/MiuiBrowser/14.7.76', '山东省潍坊市昌乐县', NULL, '2024-04-04 14:02:49.821556', '2024-04-04 14:02:49.821556', 1);
INSERT INTO `sys_login_log` VALUES (49, '221.1.97.166', 'Mozilla/5.0 (iPhone; CPU iPhone OS 16_1_2 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Version/16.1 Mobile/15E148 Safari/604.1', '山东省潍坊市昌乐县', NULL, '2024-04-04 14:03:01.518252', '2024-04-04 14:03:01.518252', 1);
INSERT INTO `sys_login_log` VALUES (50, '221.1.97.166', 'Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/534.24 (KHTML, like Gecko) Chrome/89.0.4389.116 Safari/534.24 Device/pipa Model/23043RP34C XiaoMi/MiuiBrowser/14.7.76', '山东省潍坊市昌乐县', NULL, '2024-04-04 14:04:11.038817', '2024-04-04 14:04:11.038817', 1);
INSERT INTO `sys_login_log` VALUES (51, '221.1.97.166', 'Mozilla/5.0 (Linux; U; Android 13; zh-CN; 23043RP34C Build/TKQ1.221114.001) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/100.0.4896.58 Quark/6.11.0.530 Mobile Safari/537.36', '山东省潍坊市昌乐县', NULL, '2024-04-04 14:06:02.846849', '2024-04-04 14:06:02.846849', 1);
INSERT INTO `sys_login_log` VALUES (52, '221.1.97.166', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36 Edg/123.0.0.0', '山东省潍坊市昌乐县', NULL, '2024-04-04 14:06:05.939892', '2024-04-04 14:06:05.939892', 1);
INSERT INTO `sys_login_log` VALUES (53, '223.104.195.112', 'Dart/3.2 (dart:io)', '山东省潍坊市', NULL, '2024-04-05 08:58:35.158404', '2024-04-05 08:58:35.158404', 1);
INSERT INTO `sys_login_log` VALUES (54, '221.1.97.166', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36 Edg/123.0.0.0', '山东省潍坊市昌乐县', NULL, '2024-04-05 14:54:34.211950', '2024-04-05 14:54:34.211950', 1);
INSERT INTO `sys_login_log` VALUES (55, '112.226.20.42', 'Dart/3.3 (dart:io)', '山东省青岛市', NULL, '2024-04-06 23:33:40.648379', '2024-04-06 23:33:40.648379', 1);
INSERT INTO `sys_login_log` VALUES (56, '144.0.23.133', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36 Edg/123.0.0.0', '山东省青岛市', NULL, '2024-04-07 10:25:18.662022', '2024-04-07 10:25:18.662022', 1);
INSERT INTO `sys_login_log` VALUES (57, '144.0.23.133', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36 Edg/123.0.0.0', '山东省青岛市', NULL, '2024-04-07 10:43:27.092753', '2024-04-07 10:43:27.092753', 1);
INSERT INTO `sys_login_log` VALUES (58, '127.0.0.1', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-04-07 10:48:59.426068', '2024-04-07 10:48:59.426068', 9);
INSERT INTO `sys_login_log` VALUES (59, '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36 Edg/123.0.0.0', '内网IP', NULL, '2024-04-07 10:49:55.017103', '2024-04-07 10:49:55.017103', 9);
INSERT INTO `sys_login_log` VALUES (60, '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36 Edg/123.0.0.0', '内网IP', NULL, '2024-04-07 10:50:14.432721', '2024-04-07 10:50:14.432721', 1);
INSERT INTO `sys_login_log` VALUES (61, '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36 Edg/123.0.0.0', '内网IP', NULL, '2024-04-07 10:51:14.143775', '2024-04-07 10:51:14.143775', 9);
INSERT INTO `sys_login_log` VALUES (62, '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36 Edg/123.0.0.0', '内网IP', NULL, '2024-04-07 10:52:21.472549', '2024-04-07 10:52:21.472549', 1);
INSERT INTO `sys_login_log` VALUES (63, '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36 Edg/123.0.0.0', '内网IP', NULL, '2024-04-07 10:53:25.410445', '2024-04-07 10:53:25.410445', 9);
INSERT INTO `sys_login_log` VALUES (64, '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36 Edg/123.0.0.0', '内网IP', NULL, '2024-04-07 10:54:11.422209', '2024-04-07 10:54:11.422209', 1);
INSERT INTO `sys_login_log` VALUES (65, '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36 Edg/123.0.0.0', '内网IP', NULL, '2024-04-07 10:58:09.630300', '2024-04-07 10:58:09.630300', 1);
INSERT INTO `sys_login_log` VALUES (66, '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36 Edg/123.0.0.0', '内网IP', NULL, '2024-04-07 10:58:48.213228', '2024-04-07 10:58:48.213228', 9);
INSERT INTO `sys_login_log` VALUES (67, '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36 Edg/123.0.0.0', '内网IP', NULL, '2024-04-07 10:59:16.336015', '2024-04-07 10:59:16.336015', 9);
INSERT INTO `sys_login_log` VALUES (68, '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36 Edg/123.0.0.0', '内网IP', NULL, '2024-04-07 10:59:52.597361', '2024-04-07 10:59:52.597361', 9);
INSERT INTO `sys_login_log` VALUES (69, '127.0.0.1', 'Dart/3.2 (dart:io)', '内网IP', NULL, '2024-04-07 11:00:39.570222', '2024-04-07 11:00:39.570222', 9);
INSERT INTO `sys_login_log` VALUES (70, '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36 Edg/123.0.0.0', '内网IP', NULL, '2024-04-07 11:01:59.666647', '2024-04-07 11:01:59.666647', 1);
INSERT INTO `sys_login_log` VALUES (71, '127.0.0.1', 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/123.0.0.0 Safari/537.36 Edg/123.0.0.0', '内网IP', NULL, '2024-04-07 11:07:30.060388', '2024-04-07 11:07:30.060388', 1);

-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu`;
CREATE TABLE `sys_menu`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `parent_id` int NULL DEFAULT NULL,
  `path` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `permission` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `type` tinyint NOT NULL DEFAULT 0,
  `icon` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '',
  `order_no` int NULL DEFAULT 0,
  `component` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `keep_alive` tinyint NOT NULL DEFAULT 1,
  `show` tinyint NOT NULL DEFAULT 1,
  `status` tinyint NOT NULL DEFAULT 1,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  `is_ext` tinyint NOT NULL DEFAULT 0,
  `ext_open_mode` tinyint NOT NULL DEFAULT 1,
  `active_menu` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 167 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_menu
-- ----------------------------
INSERT INTO `sys_menu` VALUES (1, NULL, '/system', '系统管理', '', 0, 'ant-design:setting-outlined', 254, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-02-29 10:41:29.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (2, 1, '/system/user', '用户管理', 'system:user:list', 1, 'ant-design:user-outlined', 0, 'system/user/index', 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-01-17 03:10:30.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (3, 1, '/system/role', '角色管理', 'system:role:list', 1, 'ep:user', 1, 'system/role/index', 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-01-17 03:11:02.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (4, 1, '/system/menu', '菜单管理', 'system:menu:list', 1, 'ep:menu', 2, 'system/menu/index', 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-01-17 03:11:18.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (5, 1, '/system/monitor', '系统监控', '', 0, 'ep:monitor', 5, '', 1, 0, 1, '2023-11-10 00:31:44.023393', '2024-04-02 15:00:20.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (6, 5, '/system/monitor/online', '在线用户', 'system:online:list', 1, '', 0, 'system/monitor/online/index', 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-01-15 22:13:59.519267', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (7, 5, '/sys/monitor/login-log', '登录日志', 'system:log:login:list', 1, '', 0, 'system/monitor/log/login/index', 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-01-15 22:14:02.610719', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (8, 5, '/system/monitor/serve', '服务监控', 'system:serve:stat', 1, '', 4, 'system/monitor/serve/index', 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-01-15 22:14:05.606355', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (9, 1, '/system/schedule', '任务调度', '', 0, 'ant-design:schedule-filled', 6, '', 1, 0, 1, '2023-11-10 00:31:44.023393', '2024-04-02 15:00:23.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (10, 9, '/system/task', '任务管理', '', 1, '', 0, 'system/schedule/task/index', 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-01-17 03:14:39.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (11, 9, '/system/task/log', '任务日志', 'system:task:list', 1, '', 0, 'system/schedule/log/index', 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-01-17 03:15:01.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (12, NULL, '/document', '文档', '', 0, 'ion:tv-outline', 2, '', 1, 0, 1, '2023-11-10 00:31:44.023393', '2024-02-28 11:51:51.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (14, 12, 'https://www.typeorm.org/', 'Typeorm中文文档(外链)', NULL, 1, '', 3, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-01-30 18:39:53.000000', 1, 1, NULL);
INSERT INTO `sys_menu` VALUES (15, 12, 'https://docs.nestjs.cn/', 'Nest.js中文文档(内嵌)', '', 1, '', 4, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-01-30 18:40:43.000000', 1, 2, NULL);
INSERT INTO `sys_menu` VALUES (20, 2, NULL, '新增', 'system:user:create', 2, '', 0, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (21, 2, '', '删除', 'system:user:delete', 2, '', 0, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (22, 2, '', '更新', 'system:user:update', 2, '', 0, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (23, 2, '', '查询', 'system:user:read', 2, '', 0, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (24, 3, '', '新增', 'system:role:create', 2, '', 0, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (25, 3, '', '删除', 'system:role:delete', 2, '', 0, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (26, 3, '', '修改', 'system:role:update', 2, '', 0, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (27, 3, '', '查询', 'system:role:read', 2, '', 0, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (28, 4, NULL, '新增', 'system:menu:create', 2, NULL, 0, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (29, 4, NULL, '删除', 'system:menu:delete', 2, NULL, 0, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (30, 4, '', '修改', 'system:menu:update', 2, '', 0, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (31, 4, NULL, '查询', 'system:menu:read', 2, NULL, 0, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (32, 6, '', '下线', 'system:online:kick', 2, '', 0, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (34, 10, '', '新增', 'system:task:create', 2, '', 0, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (35, 10, '', '删除', 'system:task:delete', 2, '', 0, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (36, 10, '', '执行一次', 'system:task:once', 2, '', 0, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (37, 10, '', '查询', 'system:task:read', 2, '', 0, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (38, 10, '', '运行', 'system:task:start', 2, '', 0, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (39, 10, '', '暂停', 'system:task:stop', 2, '', 0, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (40, 10, '', '更新', 'system:task:update', 2, '', 0, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (41, 7, '', '查询登录日志', 'system:log:login:list', 2, '', 0, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (42, 7, '', '查询任务日志', 'system:log:task:list', 2, '', 0, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (43, NULL, '/about', '关于', '', 1, 'ant-design:info-circle-outlined', 260, 'account/about', 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-02-10 09:35:41.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (48, NULL, '/tool', '系统工具', NULL, 0, 'ant-design:tool-outlined', 255, '', 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-02-29 10:41:25.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (49, 48, '/tool/email', '邮件工具', 'system:tools:email', 1, 'ant-design:send-outlined', 1, 'tool/email/index', 1, 0, 1, '2023-11-10 00:31:44.023393', '2024-02-28 11:51:38.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (50, 49, NULL, '发送邮件', 'tools:email:send', 2, '', 0, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (51, 48, '/tool/storage', '本地存储管理', 'tool:storage:list', 1, 'ant-design:appstore-outlined', 2, 'tool/storage/index', 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-03-08 15:13:32.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (52, 51, NULL, '文件上传', 'upload:upload', 2, '', 0, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-01-25 01:04:08.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (53, 51, NULL, '文件删除', 'tool:storage:delete', 2, '', 2, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-01-25 00:56:01.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (54, 2, NULL, '修改密码', 'system:user:password', 2, '', 5, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (56, 1, '/system/dict-type', '字典管理', 'system:dict-type:list', 1, 'ant-design:book-outlined', 4, 'system/dict-type/index', 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-01-28 09:07:12.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (57, 56, NULL, '新增', 'system:dict-type:create', 2, '', 1, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-01-28 09:07:20.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (58, 56, NULL, '更新', 'system:dict-type:update', 2, '', 2, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-01-28 09:07:26.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (59, 56, NULL, '删除', 'system:dict-type:delete', 2, '', 3, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-01-28 09:07:42.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (60, 56, NULL, '查询', 'system:dict-type:info', 2, '', 4, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-01-28 09:07:36.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (61, 1, '/system/dept', '部门管理', 'system:dept:list', 1, 'ant-design:deployment-unit-outlined', 3, 'system/dept/index', 1, 1, 1, '2023-11-10 00:31:44.023393', '2024-01-17 03:11:55.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (62, 61, NULL, '新增', 'system:dept:create', 2, '', 1, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (63, 61, NULL, '更新', 'system:dept:update', 2, '', 2, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (64, 61, NULL, '删除', 'system:dept:delete', 2, '', 3, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (65, 61, NULL, '查询', 'system:dept:read', 2, '', 4, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (68, 5, '/health', '健康检查', '', 1, '', 4, '', 1, 0, 1, '2023-11-10 00:31:44.023393', '2024-01-27 18:53:33.352155', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (69, 68, NULL, '网络', 'app:health:network', 2, '', 0, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (70, 68, NULL, '数据库', 'app:health: database', 2, '', 0, NULL, 1, 1, 1, '2023-11-10 00:31:44.023393', '2023-11-10 00:31:44.034474', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (86, 1, '/param-config', '参数配置', 'system:param-config:list', 1, 'ep:edit', 255, 'system/param-config/index', 0, 1, 1, '2024-01-10 17:34:52.569663', '2024-01-19 02:11:27.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (87, 86, NULL, '查询', 'system:param-config:read', 2, '', 255, NULL, 1, 1, 1, '2024-01-10 17:39:20.983241', '2024-01-10 17:39:20.983241', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (88, 86, NULL, '新增', 'system:param-config:create', 2, '', 255, NULL, 1, 1, 1, '2024-01-10 17:39:57.543510', '2024-01-10 17:39:57.543510', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (89, 86, NULL, '更新', 'system:param-config:update', 2, '', 255, NULL, 1, 1, 1, '2024-01-10 17:40:27.355944', '2024-01-10 17:40:27.355944', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (92, 86, NULL, '删除', 'system:param-config:delete', 2, '', 255, NULL, 1, 1, 1, '2024-01-10 17:57:32.059887', '2024-01-10 17:57:32.059887', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (107, 1, 'system/dict-item/:id', '字典项管理', 'system:dict-item:list', 1, 'ant-design:facebook-outlined', 255, 'system/dict-item/index', 0, 0, 1, '2024-01-28 09:21:17.409532', '2024-01-30 13:09:47.000000', 0, 1, '字典管理');
INSERT INTO `sys_menu` VALUES (108, 107, NULL, '新增', 'system:dict-item:create', 2, '', 255, NULL, 1, 1, 1, '2024-01-28 09:22:39.401758', '2024-01-28 22:38:36.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (109, 107, NULL, '更新', 'system:dict-item:update', 2, '', 255, NULL, 1, 1, 1, '2024-01-28 09:26:43.911886', '2024-01-28 09:26:43.911886', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (110, 107, NULL, '删除', 'system:dict-item:delete', 2, '', 255, NULL, 1, 1, 1, '2024-01-28 09:27:28.535225', '2024-01-28 09:27:28.535225', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (111, 107, NULL, '查询', 'system:dict-item:info', 2, '', 255, NULL, 1, 1, 1, '2024-01-28 09:27:43.894820', '2024-01-28 09:27:43.894820', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (112, 12, 'https://antdv.com/components/overview-cn', 'antdv文档(内嵌)', NULL, 1, '', 255, NULL, 1, 1, 1, '2024-01-29 09:23:08.407723', '2024-01-30 18:41:19.000000', 1, 2, NULL);
INSERT INTO `sys_menu` VALUES (115, NULL, 'netdisk', '网盘管理', NULL, 0, 'ant-design:cloud-server-outlined', 255, NULL, 1, 0, 1, '2024-02-10 08:00:02.394616', '2024-03-08 15:14:06.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (116, 48, 'manage', '云盘管理', 'netdisk:manage:list', 1, 'ant-design:cloud-server-outlined', 252, 'netdisk/manage', 0, 0, 1, '2024-02-10 08:03:49.837348', '2024-04-07 10:29:44.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (117, 116, NULL, '创建文件或文件夹', 'netdisk:manage:create', 2, '', 255, NULL, 1, 1, 1, '2024-02-10 08:40:22.317257', '2024-02-10 08:40:22.317257', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (118, 116, NULL, '查看文件', 'netdisk:manage:read', 2, '', 255, NULL, 1, 1, 1, '2024-02-10 08:41:22.008015', '2024-02-10 08:41:22.008015', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (119, 116, NULL, '更新', 'netdisk:manage:update', 2, '', 255, NULL, 1, 1, 1, '2024-02-10 08:41:50.691643', '2024-02-10 08:41:50.691643', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (120, 116, NULL, '删除', 'netdisk:manage:delete', 2, '', 255, NULL, 1, 1, 1, '2024-02-10 08:42:09.480601', '2024-02-10 08:42:09.480601', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (121, 116, NULL, '获取文件上传token', 'netdisk:manage:token', 2, '', 255, NULL, 1, 1, 1, '2024-02-10 08:42:57.688104', '2024-02-10 08:42:57.688104', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (122, 116, NULL, '添加文件备注', 'netdisk:manage:mark', 2, '', 255, NULL, 1, 1, 1, '2024-02-10 08:43:40.117321', '2024-02-10 08:43:40.117321', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (123, 116, NULL, '下载文件', 'netdisk:manage:download', 2, '', 255, NULL, 1, 1, 1, '2024-02-10 08:44:01.338984', '2024-02-10 08:44:01.338984', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (124, 116, NULL, '重命名文件或文件夹', 'netdisk:manage:rename', 2, '', 255, NULL, 1, 1, 1, '2024-02-10 08:44:27.233379', '2024-02-10 08:45:36.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (125, 116, NULL, '复制文件或文件夹', 'netdisk:manage:copy', 2, '', 255, NULL, 1, 1, 1, '2024-02-10 08:44:44.725391', '2024-02-10 08:45:48.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (126, 116, NULL, '剪切文件或文件夹', 'netdisk:manage:cut', 2, '', 255, NULL, 1, 1, 1, '2024-02-10 08:45:21.660511', '2024-02-10 08:45:21.660511', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (127, 115, 'overview', '网盘概览', 'netdisk:overview:desc', 1, '', 254, 'netdisk/overview', 0, 1, 1, '2024-02-10 09:32:56.981190', '2024-02-10 09:34:18.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (128, NULL, '/contract', '合同管理', NULL, 0, 'ep:document', 1, NULL, 1, 0, 1, '2024-02-29 10:40:39.080419', '2024-04-02 14:52:28.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (129, 128, '/contract/index', '合同审核', 'app:contract:list', 1, 'ep:document', 1, 'contract/index', 0, 1, 1, '2024-02-29 10:46:09.245521', '2024-02-29 14:59:56.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (130, NULL, '/vehicle-usage/index', '车辆使用', NULL, 1, 'ant-design:car-outlined', 4, 'vehicle-usage/index', 0, 0, 1, '2024-02-29 10:48:35.035363', '2024-04-02 14:53:14.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (131, NULL, '/materials-inventory/record-in-out', '出入库记录', 'materials_inventory:history_in_out:list', 1, 'ep:coin', 3, 'materials-inventory/in-out/index', 0, 1, 1, '2024-02-29 11:03:49.710130', '2024-04-02 14:52:54.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (132, 129, NULL, '更新', 'app:contract:update', 2, '', 255, NULL, 1, 1, 1, '2024-02-29 15:00:39.641043', '2024-02-29 15:00:39.641043', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (133, 129, NULL, '删除', 'app:contract:delete', 2, '', 255, NULL, 1, 1, 1, '2024-02-29 15:00:59.376071', '2024-02-29 15:00:59.376071', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (134, 129, NULL, '查询', 'app:contract:read', 2, '', 255, NULL, 1, 1, 1, '2024-02-29 15:01:14.209396', '2024-02-29 15:45:29.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (135, 129, NULL, '新增', 'app:contract:create', 2, '', 255, NULL, 1, 1, 1, '2024-02-29 15:44:46.950582', '2024-02-29 15:44:46.950582', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (136, 131, NULL, '新增', 'materials_inventory:history_in_out:create', 2, '', 255, NULL, 1, 1, 1, '2024-03-01 17:17:02.597782', '2024-03-06 10:54:28.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (137, 131, NULL, '更新', 'materials_inventory:history_in_out:update', 2, '', 255, NULL, 1, 1, 1, '2024-03-01 17:17:15.192910', '2024-03-06 10:54:57.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (138, 131, NULL, '查询单个', 'app:contract:read', 2, '', 255, NULL, 1, 1, 1, '2024-03-01 17:17:32.488892', '2024-03-01 17:17:32.488892', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (139, 131, NULL, '删除', 'materials_inventory:history_in_out:delete', 2, '', 255, NULL, 1, 1, 1, '2024-03-01 17:17:43.455773', '2024-03-06 10:55:06.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (140, NULL, '/materials-inventory/company', '乙方公司管理', 'app:company:list', 1, 'ep:office-building', 6, 'materials-inventory/company/index', 0, 1, 1, '2024-03-04 15:44:30.769048', '2024-03-27 12:57:31.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (141, 140, NULL, '单个查询', 'app:company:read', 2, '', 1, NULL, 1, 1, 1, '2024-03-04 15:45:55.979802', '2024-03-04 15:45:55.979802', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (142, 140, NULL, '新增', 'app:company:create', 2, '', 2, NULL, 1, 1, 1, '2024-03-04 15:46:11.260636', '2024-03-04 15:46:11.260636', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (143, 140, NULL, '更新', 'app:company:update', 2, '', 3, NULL, 1, 1, 1, '2024-03-04 15:46:25.098204', '2024-03-04 15:46:25.098204', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (144, 140, NULL, '删除', 'app:company:delete', 2, '', 4, NULL, 1, 1, 1, '2024-03-04 15:46:50.812446', '2024-03-04 15:46:50.812446', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (145, NULL, '/materials-inventory/product', '产品目录', 'app:product:list', 1, 'ant-design:product-outlined', 6, 'materials-inventory/product/index', 0, 1, 1, '2024-03-04 16:43:22.749281', '2024-03-27 12:56:52.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (146, 145, NULL, '单个查询', 'app:product:read', 2, '', 1, NULL, 1, 1, 1, '2024-03-04 16:44:56.482508', '2024-03-04 16:44:56.482508', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (147, 145, NULL, '新增', 'app:product:create', 2, '', 255, NULL, 1, 1, 1, '2024-03-04 16:45:08.211188', '2024-03-04 16:45:08.211188', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (148, 145, NULL, '更新', 'app:product:update', 2, '', 255, NULL, 1, 1, 1, '2024-03-04 16:45:25.457903', '2024-03-04 16:45:25.457903', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (149, 145, NULL, '删除', 'app:product:delete', 2, '', 255, NULL, 1, 1, 1, '2024-03-04 16:45:39.352621', '2024-03-04 16:45:39.352621', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (150, NULL, '/materials-inventory', '原材料盘点', NULL, 0, 'ant-design:dashboard-outlined', 3, NULL, 1, 0, 1, '2024-03-04 16:53:32.172674', '2024-04-02 14:52:58.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (151, 131, NULL, '导出', 'materials_inventory:history_in_out:export', 2, '', 5, NULL, 1, 1, 1, '2024-03-06 13:09:39.201093', '2024-03-06 13:09:39.201093', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (152, NULL, '/materials-inventory/inventory-check', '原材料库存管理', 'app:materials_inventory:list', 1, 'ant-design:dashboard-outlined', 2, 'materials-inventory/inventory-check/index', 1, 1, 1, '2024-03-06 13:33:24.795599', '2024-04-02 14:52:48.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (153, NULL, '/materials-inventory/project', '项目管理', 'app:project:list', 1, 'ep:memo', 4, 'materials-inventory/project/index', 0, 1, 1, '2024-03-07 09:28:19.234454', '2024-03-27 12:57:13.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (154, 153, NULL, '新增', 'app:project:create', 2, '', 1, NULL, 1, 1, 1, '2024-03-07 09:28:47.855064', '2024-03-07 09:28:47.855064', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (155, 153, NULL, '更新', 'app:project:update', 2, '', 2, NULL, 1, 1, 1, '2024-03-07 09:29:03.183084', '2024-03-07 09:29:03.183084', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (156, 153, NULL, '删除', 'app:project:delete', 2, '', 3, NULL, 1, 1, 1, '2024-03-07 09:29:16.684943', '2024-03-07 09:29:16.684943', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (157, 153, NULL, '单个信息', 'app:project:read', 2, '', 4, NULL, 1, 1, 1, '2024-03-07 09:29:33.424578', '2024-03-07 09:29:33.424578', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (158, 131, NULL, '导出原材料盘点表', 'app:materials_inventory:export', 2, '', 255, NULL, 1, 1, 0, '2024-03-07 11:46:54.468400', '2024-04-07 11:02:41.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (159, 130, NULL, '更新', 'app:vehicle_usage:update', 2, '', 255, NULL, 1, 1, 1, '2024-03-07 17:05:04.324327', '2024-03-07 17:05:04.324327', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (160, 130, NULL, '删除', 'app:vehicle_usage:delete', 2, '', 255, NULL, 1, 1, 1, '2024-03-07 17:05:13.776313', '2024-03-07 17:05:13.776313', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (161, 130, NULL, '新增', 'app:vehicle_usage:create', 2, '', 255, NULL, 1, 1, 1, '2024-03-07 17:05:25.081691', '2024-03-07 17:05:25.081691', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (162, 130, NULL, '单个信息', 'app:vehicle_usage:read', 2, '', 255, NULL, 1, 1, 1, '2024-03-07 17:05:48.310497', '2024-03-07 17:05:48.310497', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (163, 152, NULL, '导出', 'app:materials_inventory:export', 2, '', 255, NULL, 1, 1, 0, '2024-03-11 13:43:41.135585', '2024-04-07 11:02:08.000000', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (164, 152, NULL, '更新', 'app:materials_inventory:update', 2, '', 255, NULL, 1, 1, 1, '2024-03-11 13:44:23.144410', '2024-03-11 13:44:23.144410', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (165, 152, NULL, '删除', 'app:materials_inventory:delete', 2, '', 255, NULL, 1, 1, 1, '2024-03-11 13:44:47.383396', '2024-03-11 13:44:47.383396', 0, 1, NULL);
INSERT INTO `sys_menu` VALUES (166, 128, '/contract/task', '任务管控', NULL, 1, 'ant-design:align-left-outlined', 255, 'task/index', 0, 1, 1, '2024-03-12 10:18:54.645756', '2024-03-12 10:18:54.645756', 0, 1, NULL);

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `value` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `status` tinyint NULL DEFAULT 1,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  `default` tinyint NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `IDX_223de54d6badbe43a5490450c3`(`name`) USING BTREE,
  UNIQUE INDEX `IDX_05edc0a51f41bb16b7d8137da9`(`value`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 11 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_role
-- ----------------------------
INSERT INTO `sys_role` VALUES (1, 'admin', '超级管理员', '超级管理员(拥有所有权限，请谨慎。)', 1, '2023-11-10 00:31:44.058463', '2024-04-07 11:08:14.419171', NULL);
INSERT INTO `sys_role` VALUES (2, 'user', '用户', '基础用户。目前没有设置任何菜单', 1, '2023-11-10 00:31:44.058463', '2024-04-07 11:05:32.000000', 1);
INSERT INTO `sys_role` VALUES (10, 'InventoryManager', '出入库管理员', '可以使用出入库相关的功能', 1, '2024-04-02 14:55:13.393542', '2024-04-07 11:09:03.195979', NULL);

-- ----------------------------
-- Table structure for sys_role_menus
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_menus`;
CREATE TABLE `sys_role_menus`  (
  `role_id` int NOT NULL,
  `menu_id` int NOT NULL,
  PRIMARY KEY (`role_id`, `menu_id`) USING BTREE,
  INDEX `IDX_35ce749b04d57e226d059e0f63`(`role_id`) USING BTREE,
  INDEX `IDX_2b95fdc95b329d66c18f5baed6`(`menu_id`) USING BTREE,
  CONSTRAINT `FK_2b95fdc95b329d66c18f5baed6d` FOREIGN KEY (`menu_id`) REFERENCES `sys_menu` (`id`) ON DELETE CASCADE ON UPDATE RESTRICT,
  CONSTRAINT `FK_35ce749b04d57e226d059e0f633` FOREIGN KEY (`role_id`) REFERENCES `sys_role` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_role_menus
-- ----------------------------
INSERT INTO `sys_role_menus` VALUES (1, 43);
INSERT INTO `sys_role_menus` VALUES (2, 43);
INSERT INTO `sys_role_menus` VALUES (10, 48);
INSERT INTO `sys_role_menus` VALUES (10, 51);
INSERT INTO `sys_role_menus` VALUES (10, 52);
INSERT INTO `sys_role_menus` VALUES (10, 53);
INSERT INTO `sys_role_menus` VALUES (10, 131);
INSERT INTO `sys_role_menus` VALUES (10, 136);
INSERT INTO `sys_role_menus` VALUES (10, 137);
INSERT INTO `sys_role_menus` VALUES (10, 138);
INSERT INTO `sys_role_menus` VALUES (10, 139);
INSERT INTO `sys_role_menus` VALUES (10, 140);
INSERT INTO `sys_role_menus` VALUES (10, 141);
INSERT INTO `sys_role_menus` VALUES (10, 142);
INSERT INTO `sys_role_menus` VALUES (10, 143);
INSERT INTO `sys_role_menus` VALUES (10, 144);
INSERT INTO `sys_role_menus` VALUES (10, 145);
INSERT INTO `sys_role_menus` VALUES (10, 146);
INSERT INTO `sys_role_menus` VALUES (10, 147);
INSERT INTO `sys_role_menus` VALUES (10, 148);
INSERT INTO `sys_role_menus` VALUES (10, 149);
INSERT INTO `sys_role_menus` VALUES (10, 150);
INSERT INTO `sys_role_menus` VALUES (10, 151);
INSERT INTO `sys_role_menus` VALUES (10, 152);
INSERT INTO `sys_role_menus` VALUES (10, 153);
INSERT INTO `sys_role_menus` VALUES (10, 154);
INSERT INTO `sys_role_menus` VALUES (10, 155);
INSERT INTO `sys_role_menus` VALUES (10, 156);
INSERT INTO `sys_role_menus` VALUES (10, 157);
INSERT INTO `sys_role_menus` VALUES (10, 158);
INSERT INTO `sys_role_menus` VALUES (10, 163);
INSERT INTO `sys_role_menus` VALUES (10, 164);
INSERT INTO `sys_role_menus` VALUES (10, 165);

-- ----------------------------
-- Table structure for sys_task
-- ----------------------------
DROP TABLE IF EXISTS `sys_task`;
CREATE TABLE `sys_task`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `service` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `type` tinyint NOT NULL DEFAULT 0,
  `status` tinyint NOT NULL DEFAULT 1,
  `start_time` datetime NULL DEFAULT NULL,
  `end_time` datetime NULL DEFAULT NULL,
  `limit` int NULL DEFAULT 0,
  `cron` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `every` int NULL DEFAULT NULL,
  `data` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL,
  `job_opts` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL,
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `IDX_ef8e5ab5ef2fe0ddb1428439ef`(`name`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 6 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_task
-- ----------------------------
INSERT INTO `sys_task` VALUES (2, '定时清空登录日志', 'LogClearJob.clearLoginLog', 0, 1, NULL, NULL, 0, '0 0 3 ? * 1', 0, '', '{\"count\":1,\"key\":\"__default__:2:::0 0 3 ? * 1\",\"cron\":\"0 0 3 ? * 1\",\"jobId\":2}', '定时清空登录日志', '2023-11-10 00:31:44.197779', '2024-04-07 10:57:58.000000');
INSERT INTO `sys_task` VALUES (3, '定时清空任务日志', 'LogClearJob.clearTaskLog', 0, 0, NULL, NULL, 0, '0 0 3 ? * 1', 0, '', '{\"count\":1,\"key\":\"__default__:3:::0 0 3 ? * 1\",\"cron\":\"0 0 3 ? * 1\",\"jobId\":3}', '定时清空任务日志', '2023-11-10 00:31:44.197779', '2024-03-22 14:12:52.000000');
INSERT INTO `sys_task` VALUES (4, '访问百度首页', 'HttpRequestJob.handle', 0, 0, NULL, NULL, 1, '* * * * * ?', NULL, '{\"url\":\"https://www.baidu.com\",\"method\":\"get\"}', NULL, '访问百度首页', '2023-11-10 00:31:44.197779', '2023-11-10 00:31:44.206935');
INSERT INTO `sys_task` VALUES (5, '发送邮箱', 'EmailJob.send', 0, 0, NULL, NULL, -1, '0 0 0 1 * ?', NULL, '{\"subject\":\"这是标题\",\"to\":\"18661983080@163.com\",\"content\":\"这是正文\"}', NULL, '每月发送邮箱', '2023-11-10 00:31:44.197779', '2024-03-07 11:14:53.000000');

-- ----------------------------
-- Table structure for sys_task_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_task_log`;
CREATE TABLE `sys_task_log`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `task_id` int NULL DEFAULT NULL,
  `status` tinyint NOT NULL DEFAULT 0,
  `detail` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL,
  `consume_time` int NULL DEFAULT 0,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `FK_f4d9c36052fdb188ff5c089454b`(`task_id`) USING BTREE,
  CONSTRAINT `FK_f4d9c36052fdb188ff5c089454b` FOREIGN KEY (`task_id`) REFERENCES `sys_task` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_task_log
-- ----------------------------
INSERT INTO `sys_task_log` VALUES (1, 3, 1, NULL, 0, '2024-03-11 07:37:16.258223', '2024-03-11 07:37:16.258223');
INSERT INTO `sys_task_log` VALUES (2, 2, 1, NULL, 0, '2024-03-11 08:29:25.175865', '2024-03-11 08:29:25.175865');
INSERT INTO `sys_task_log` VALUES (3, 2, 1, NULL, 0, '2024-04-01 03:00:00.202419', '2024-04-01 03:00:00.202419');

-- ----------------------------
-- Table structure for sys_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE `sys_user`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `username` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `password` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `avatar` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `email` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `phone` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `psalt` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `status` tinyint NULL DEFAULT 1,
  `qq` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  `nickname` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL,
  `dept_id` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `IDX_9e7164b2f1ea1348bc0eb0a7da`(`username`) USING BTREE,
  INDEX `FK_96bde34263e2ae3b46f011124ac`(`dept_id`) USING BTREE,
  CONSTRAINT `FK_96bde34263e2ae3b46f011124ac` FOREIGN KEY (`dept_id`) REFERENCES `sys_dept` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 12 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_user
-- ----------------------------
INSERT INTO `sys_user` VALUES (1, 'admin', 'a11571e778ee85e82caae2d980952546', 'https://thirdqq.qlogo.cn/g?b=qq&s=100&nk=1743369777', '1743369777@qq.com', '10086', '管理员', 'xQYCspvFb8cAW6GG1pOoUGTLqsuUSO3d', 1, '1743369777', '2023-11-10 00:31:44.104382', '2024-04-02 14:53:56.000000', '朱明仁', 2);
INSERT INTO `sys_user` VALUES (9, 'mengfei', '53a7b8157dbbbd51687c23cb783c5fe4', NULL, NULL, NULL, NULL, 'hm-VO0n2GO0qEZhEz6LdBBtFhIEMv0jo', 1, NULL, '2024-04-02 14:59:08.770239', '2024-04-07 10:50:24.000000', '孟菲', 2);
INSERT INTO `sys_user` VALUES (10, 'wangxinghao', '41c7f42c6e8a3eec7ac5b41ae0de84be', '[object Object]', NULL, NULL, NULL, '--IWP-ybu1ikzGpGOVCWEpkZ1hIheCVJ', 1, NULL, '2024-04-02 15:39:38.117227', '2024-04-07 11:07:49.000000', '王兴昊', 2);
INSERT INTO `sys_user` VALUES (11, 'zhangxueyong', 'c67a29c03f168650e2a43590328446b8', NULL, NULL, NULL, '张学勇', 'ucnRs7VTbXnwej2JQbKeYSoJ1gLy2Fwi', 1, NULL, '2024-04-03 08:10:08.192204', '2024-04-07 11:07:54.000000', '张学勇', 1);

-- ----------------------------
-- Table structure for sys_user_roles
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_roles`;
CREATE TABLE `sys_user_roles`  (
  `user_id` int NOT NULL,
  `role_id` int NOT NULL,
  PRIMARY KEY (`user_id`, `role_id`) USING BTREE,
  INDEX `IDX_96311d970191a044ec048011f4`(`user_id`) USING BTREE,
  INDEX `IDX_6d61c5b3f76a3419d93a421669`(`role_id`) USING BTREE,
  CONSTRAINT `FK_6d61c5b3f76a3419d93a4216695` FOREIGN KEY (`role_id`) REFERENCES `sys_role` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT,
  CONSTRAINT `FK_96311d970191a044ec048011f44` FOREIGN KEY (`user_id`) REFERENCES `sys_user` (`id`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_user_roles
-- ----------------------------
INSERT INTO `sys_user_roles` VALUES (1, 1);
INSERT INTO `sys_user_roles` VALUES (9, 10);
INSERT INTO `sys_user_roles` VALUES (10, 10);
INSERT INTO `sys_user_roles` VALUES (11, 10);

-- ----------------------------
-- Table structure for todo
-- ----------------------------
DROP TABLE IF EXISTS `todo`;
CREATE TABLE `todo`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `value` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
  `user_id` int NULL DEFAULT NULL,
  `status` tinyint NOT NULL DEFAULT 0,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `FK_9cb7989853c4cb7fe427db4b260`(`user_id`) USING BTREE,
  CONSTRAINT `FK_9cb7989853c4cb7fe427db4b260` FOREIGN KEY (`user_id`) REFERENCES `sys_user` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of todo
-- ----------------------------
INSERT INTO `todo` VALUES (1, 'nest.js', NULL, 0, '2023-11-10 00:31:44.139730', '2023-11-10 00:31:44.147629');

-- ----------------------------
-- Table structure for tool_storage
-- ----------------------------
DROP TABLE IF EXISTS `tool_storage`;
CREATE TABLE `tool_storage`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  `name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL COMMENT '文件名',
  `fileName` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL COMMENT '真实文件名',
  `ext_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL,
  `path` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL,
  `size` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL,
  `user_id` int NULL DEFAULT NULL,
  `bussiness_module` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL,
  `bussiness_record_id` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 280 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of tool_storage
-- ----------------------------

-- ----------------------------
-- Table structure for user_access_tokens
-- ----------------------------
DROP TABLE IF EXISTS `user_access_tokens`;
CREATE TABLE `user_access_tokens`  (
  `id` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `expired_at` datetime NOT NULL COMMENT '令牌过期时间',
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) COMMENT '令牌创建时间',
  `user_id` int NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `FK_e9d9d0c303432e4e5e48c1c3e90`(`user_id`) USING BTREE,
  CONSTRAINT `FK_e9d9d0c303432e4e5e48c1c3e90` FOREIGN KEY (`user_id`) REFERENCES `sys_user` (`id`) ON DELETE CASCADE ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of user_access_tokens
-- ----------------------------
INSERT INTO `user_access_tokens` VALUES ('067fa54e-e37d-45eb-850c-11fe6e580555', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTI0NTgyMTR9.KxpU61iQtg1j2zziHZB0gKGdvCiViIlTKkuY59EpD4s', '2024-04-08 10:50:14', '2024-04-07 10:50:14.399413', 1);
INSERT INTO `user_access_tokens` VALUES ('06fa487c-c9f4-4dcc-8643-ef6146e42add', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjksInB2IjoxLCJyb2xlcyI6WyJJbnZlbnRvcnlNYW5hZ2VyIl0sImlhdCI6MTcxMjQ1ODc5Mn0.mnEZ_Re_83_6NSgAf_E5Rp2akIOVsQQ_tQCgdk1QhZ0', '2024-04-08 10:59:53', '2024-04-07 10:59:52.570969', 9);
INSERT INTO `user_access_tokens` VALUES ('4b231512-42ac-41f6-9acc-9b3ac9590f12', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTI0NTY3MTd9._1XC-bHE_X0vWiCvexC5tXRIiZ5iwh6YX6DJO31KROk', '2024-04-08 10:25:18', '2024-04-07 10:25:17.962621', 1);
INSERT INTO `user_access_tokens` VALUES ('50be25ab-05a0-468f-919c-ec623ac41761', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTI0MTc2MjB9.otSnlbtKFKqoJUD5e0wM25Nxp6qjXs0r9FXnSO9zdOw', '2024-04-07 23:33:40', '2024-04-06 23:33:40.021878', 1);
INSERT INTO `user_access_tokens` VALUES ('64b831b0-32a9-4fad-ae3f-9f8f370f3bf2', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjksInB2IjoxLCJyb2xlcyI6WyJJbnZlbnRvcnlNYW5hZ2VyIl0sImlhdCI6MTcxMjQ1ODI3NH0.pmdigNgdbtUHrktkP8t4DhaxTKnBPogHUVdC5XEXSA4', '2024-04-08 10:51:14', '2024-04-07 10:51:14.116966', 9);
INSERT INTO `user_access_tokens` VALUES ('657d245b-b61f-4f84-9bb8-3358ad645546', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjksInB2IjoxLCJyb2xlcyI6WyJ1c2VyIiwiSW52ZW50b3J5TWFuYWdlciJdLCJpYXQiOjE3MTI0NTgxOTR9.BY5SGgYS7TjfVeCtRxVzgMZQq9TN9bMiOjDCoNwAcF0', '2024-04-08 10:49:55', '2024-04-07 10:49:54.981842', 9);
INSERT INTO `user_access_tokens` VALUES ('841bd4fc-b3e5-4864-ad4e-6849261e5806', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjksInB2IjoxLCJyb2xlcyI6WyJ1c2VyIiwiSW52ZW50b3J5TWFuYWdlciJdLCJpYXQiOjE3MTI0NTgxMzl9.fWCim-wvmY8b8HogIlThhsAeFf5oWYqT-evVpwv7-pc', '2024-04-08 10:48:59', '2024-04-07 10:48:59.360940', 9);
INSERT INTO `user_access_tokens` VALUES ('96ae5545-c90f-452a-bae7-377e8cf32169', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjksInB2IjoxLCJyb2xlcyI6WyJJbnZlbnRvcnlNYW5hZ2VyIl0sImlhdCI6MTcxMjQ1ODcyOH0.RuLjO4hFD_y1CoCQDB3KZJYS-24AWP1Q2vpEo_mVPxM', '2024-04-08 10:58:48', '2024-04-07 10:58:48.182856', 9);
INSERT INTO `user_access_tokens` VALUES ('a35d093a-c004-459c-a080-c0abc346a115', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTI0NTg5MTl9.JL6Xjpun6vX5XbruGhXLSevvO7AYLstCHSn_-z48ll8', '2024-04-08 11:02:00', '2024-04-07 11:01:59.632272', 1);
INSERT INTO `user_access_tokens` VALUES ('aa9787ae-7565-4d09-a3cb-b216947cfcab', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjksInB2IjoxLCJyb2xlcyI6WyJJbnZlbnRvcnlNYW5hZ2VyIl0sImlhdCI6MTcxMjQ1ODQwNX0.2CyoDt_tIsAzri02mhCKbVJEss-Ny2qdmZOPoZKUuxQ', '2024-04-08 10:53:25', '2024-04-07 10:53:25.379015', 9);
INSERT INTO `user_access_tokens` VALUES ('b6f1ce31-bf6b-4dc4-80eb-3ab37774e179', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTI0NTgzNDF9.bAvlmbaHNnL1_-ar9yVZI3Z_3Nm0qMF9MFN1bO29-rM', '2024-04-08 10:52:21', '2024-04-07 10:52:21.439166', 1);
INSERT INTO `user_access_tokens` VALUES ('c9e94b55-dd93-4ea1-aee1-c81d59a9e1bc', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjksInB2IjoxLCJyb2xlcyI6WyJJbnZlbnRvcnlNYW5hZ2VyIl0sImlhdCI6MTcxMjQ1ODgzOX0.ShvQOexZc7zfP_NsprmVjb0aXDqurp5_6Bsed0oJsq8', '2024-04-08 11:00:40', '2024-04-07 11:00:39.515606', 9);
INSERT INTO `user_access_tokens` VALUES ('c9ee2211-fa30-4a74-9e96-1622e959c5a5', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTI0NTkyNTB9.pX3TLszlGjQDyebNEXunGN6vwStARGHoOSLpULHfXWU', '2024-04-08 11:07:30', '2024-04-07 11:07:30.021625', 1);
INSERT INTO `user_access_tokens` VALUES ('cdb64fe0-ca48-466b-9caa-5812aa7a8634', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTI0NTc4MDZ9.jJ2SEjgLfYBJe80tV3CpD2WMMID8iAlCV_iJaaL6IXE', '2024-04-08 10:43:26', '2024-04-07 10:43:26.334882', 1);
INSERT INTO `user_access_tokens` VALUES ('d78ecadb-7bfd-4c65-a8c4-05e9473a80a5', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjksInB2IjoxLCJyb2xlcyI6WyJJbnZlbnRvcnlNYW5hZ2VyIl0sImlhdCI6MTcxMjQ1ODc1Nn0.HaB3ABe7S6Iik9lBEIa1ww_-QuxKsZOLkB8e4evcQ58', '2024-04-08 10:59:16', '2024-04-07 10:59:16.310195', 9);
INSERT INTO `user_access_tokens` VALUES ('d9f221ea-111d-47fe-932d-4123174dfce8', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTI0NTg2ODl9.N4Q7H8KnGd-hNmO-2UECuDfBFuuthrTPdATxDBcuWTI', '2024-04-08 10:58:10', '2024-04-07 10:58:09.590782', 1);
INSERT INTO `user_access_tokens` VALUES ('f886261e-bb1d-45db-83a4-71ef0f2a9180', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1aWQiOjEsInB2IjoxLCJyb2xlcyI6WyJhZG1pbiJdLCJpYXQiOjE3MTI0NTg0NTF9.Uf2OXdWp1UgBHHw4dvLJcEQtv_09VoBAAsDkMmZ10Lo', '2024-04-08 10:54:11', '2024-04-07 10:54:11.390379', 1);

-- ----------------------------
-- Table structure for user_refresh_tokens
-- ----------------------------
DROP TABLE IF EXISTS `user_refresh_tokens`;
CREATE TABLE `user_refresh_tokens`  (
  `id` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `expired_at` datetime NOT NULL COMMENT '令牌过期时间',
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) COMMENT '令牌创建时间',
  `accessTokenId` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `REL_1dfd080c2abf42198691b60ae3`(`accessTokenId`) USING BTREE,
  CONSTRAINT `FK_1dfd080c2abf42198691b60ae39` FOREIGN KEY (`accessTokenId`) REFERENCES `user_access_tokens` (`id`) ON DELETE CASCADE ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_unicode_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of user_refresh_tokens
-- ----------------------------
INSERT INTO `user_refresh_tokens` VALUES ('0aacf8f4-720a-4506-b6da-bf80ad7507ad', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoidGFNWHY3SzNIcnpGN0hPVm0wNTlZIiwiaWF0IjoxNzEyNDU5MjUwfQ.VuYA4gG5Cbuc6hSYAduwhi7t0qNmcHaSihF43dGnl_s', '2024-05-07 11:07:30', '2024-04-07 11:07:30.035958', 'c9ee2211-fa30-4a74-9e96-1622e959c5a5');
INSERT INTO `user_refresh_tokens` VALUES ('1bbfc866-7019-4244-8fc5-ce3573c18f5a', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiZFUtMUZlS3lCNzZDY19NQ0JCTlVGIiwiaWF0IjoxNzEyNDU4ODM5fQ.hgp34zbgIzzU7nTYxjY-nqi44SeJzmAusZEFoBPFDxk', '2024-05-07 11:00:40', '2024-04-07 11:00:39.541546', 'c9e94b55-dd93-4ea1-aee1-c81d59a9e1bc');
INSERT INTO `user_refresh_tokens` VALUES ('325d7565-b020-4de0-9c99-d645075678be', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiTDh1UV9XWEg3cXU5S2pRbUZGRWh3IiwiaWF0IjoxNzEyNDU4MjE0fQ.WHiXKLlA9p-Bjwud3EJ9sie1cpr5MImYuE7Vy3cwLjQ', '2024-05-07 10:50:14', '2024-04-07 10:50:14.409485', '067fa54e-e37d-45eb-850c-11fe6e580555');
INSERT INTO `user_refresh_tokens` VALUES ('468da5b2-f67f-4d70-b043-7e479dc8d6a9', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoidXJCYUJKMkd0a0VfZGdOOC1hemh4IiwiaWF0IjoxNzEyNDU4OTE5fQ.Y2UvFoYF2i2rhzH12T_mggSi27pGk1jpX3WxqlRD6ho', '2024-05-07 11:02:00', '2024-04-07 11:01:59.643833', 'a35d093a-c004-459c-a080-c0abc346a115');
INSERT INTO `user_refresh_tokens` VALUES ('4cd90a2b-ced3-455c-83a1-0b21b6fd5d8c', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiVnRqaHlEZnA2NURlMXh6WkxOYVl4IiwiaWF0IjoxNzEyNDU4MzQxfQ.RilIoFnJgeh-ze5Cy_ODvebySQyxIjJyIAoPB8S69Wc', '2024-05-07 10:52:21', '2024-04-07 10:52:21.451515', 'b6f1ce31-bf6b-4dc4-80eb-3ab37774e179');
INSERT INTO `user_refresh_tokens` VALUES ('51c7573f-2d21-4206-a242-906d764a874d', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiTGROUjJ0blBZR1pEZXl4YTd6RXNGIiwiaWF0IjoxNzEyNDE3NjIwfQ.60gygI_tNscvCHdFI64XwRh9WUEWoFjscg-Q6Sl7EV8', '2024-05-06 23:33:40', '2024-04-06 23:33:40.032302', '50be25ab-05a0-468f-919c-ec623ac41761');
INSERT INTO `user_refresh_tokens` VALUES ('7827a7fe-a694-4723-b11e-fd1fd542e81b', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiZDV6MXo5MjdMZ1V1bXJTUmY0WEloIiwiaWF0IjoxNzEyNDU4NzI4fQ.ViiYJc3DmYug_JbpcT4D6a65LVj23ebSkHuxWipFQkE', '2024-05-07 10:58:48', '2024-04-07 10:58:48.193052', '96ae5545-c90f-452a-bae7-377e8cf32169');
INSERT INTO `user_refresh_tokens` VALUES ('7c504748-e2e6-41b6-a4b6-affc8bd8de72', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiajd1WmgxRjFmMnNqNWQ5Z0RienBwIiwiaWF0IjoxNzEyNDU4MTk0fQ.0BaG_gy41z-7y9EpZK05RV2-OgkDFHMEtJ9ofuVMLPs', '2024-05-07 10:49:55', '2024-04-07 10:49:54.993642', '657d245b-b61f-4f84-9bb8-3358ad645546');
INSERT INTO `user_refresh_tokens` VALUES ('81c1b063-256a-4337-87db-e7bb01a9c793', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiOThjSTdkSkJQZGdFZ3lJQjJRODI3IiwiaWF0IjoxNzEyNDU4MTM5fQ.fpDITw5fInmn4_fXde-O-i-SgV_9-lGrAqk5Rq-v1VY', '2024-05-07 10:48:59', '2024-04-07 10:48:59.389990', '841bd4fc-b3e5-4864-ad4e-6849261e5806');
INSERT INTO `user_refresh_tokens` VALUES ('879409aa-4e60-491f-b155-cb4433832ae8', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiUnJBMFRQbGtnckpIRTNUVG83QjRPIiwiaWF0IjoxNzEyNDU4NzkyfQ.YFufOp1ytb6ZyzaMFscf972VMIaPb09GsG9Z0FBp7R8', '2024-05-07 10:59:53', '2024-04-07 10:59:52.580656', '06fa487c-c9f4-4dcc-8643-ef6146e42add');
INSERT INTO `user_refresh_tokens` VALUES ('89b9df53-5d1b-4640-878c-821db4ddafe1', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiVkJlOEZ5OHJ3Um1HQkxfMVRNQzNlIiwiaWF0IjoxNzEyNDU4Njg5fQ.SwXWgzeLNKAvQU39SHrQYrGSQmYWAaAjOF0WVNveHGc', '2024-05-07 10:58:10', '2024-04-07 10:58:09.604051', 'd9f221ea-111d-47fe-932d-4123174dfce8');
INSERT INTO `user_refresh_tokens` VALUES ('8ba5e525-a9eb-4823-b41e-ef9fb04624a2', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiSVY5bW1WRDRzY0xwaE00ek90ZmRaIiwiaWF0IjoxNzEyNDU3ODA2fQ.UKJaAJvXJJg96almY9QNb8mrjyBPewQvw5ECgZGjRpI', '2024-05-07 10:43:26', '2024-04-07 10:43:26.350399', 'cdb64fe0-ca48-466b-9caa-5812aa7a8634');
INSERT INTO `user_refresh_tokens` VALUES ('ab50f093-429b-4fb3-b1d4-f91e3205419a', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiT0IwbzVHVFkxazNERVF0eFU4N0RGIiwiaWF0IjoxNzEyNDU4NzU2fQ.I9miRO1z2X_Uhf8QJxcjk6gKOisvrVISMZY3nqxUE1g', '2024-05-07 10:59:16', '2024-04-07 10:59:16.320141', 'd78ecadb-7bfd-4c65-a8c4-05e9473a80a5');
INSERT INTO `user_refresh_tokens` VALUES ('b5913f11-9132-4342-a5fc-1823b4f8095e', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoiRHo3cmRRck5nYkRGYTNra3lYZkY4IiwiaWF0IjoxNzEyNDU4NDUxfQ.ITzqgmr_hZo7yoaKeoYa7DCV51EHGSSW95aJOgHASqc', '2024-05-07 10:54:11', '2024-04-07 10:54:11.402462', 'f886261e-bb1d-45db-83a4-71ef0f2a9180');
INSERT INTO `user_refresh_tokens` VALUES ('c996e647-0b40-4271-89a4-18c6fa361648', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoibTd5VkxYUDRSWndNYTRBOE5qTk9CIiwiaWF0IjoxNzEyNDU4NDA1fQ.ImGnCiah6WX6tHltPV-xphw7i-CHP2IU-BwOElc2uy4', '2024-05-07 10:53:25', '2024-04-07 10:53:25.390342', 'aa9787ae-7565-4d09-a3cb-b216947cfcab');
INSERT INTO `user_refresh_tokens` VALUES ('ce1d039d-ed44-41f6-9228-06720e288088', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoicVZPU0xfd3hwRnZjRi1fNVdwVGZqIiwiaWF0IjoxNzEyNDU2NzE3fQ.u7EV8m_sg7svflMYEitqvkOgXnOlKG-pLjD6fQ4Hnc8', '2024-05-07 10:25:18', '2024-04-07 10:25:17.983231', '4b231512-42ac-41f6-9acc-9b3ac9590f12');
INSERT INTO `user_refresh_tokens` VALUES ('ff56df48-89bb-46b3-a8d2-80426dba6e43', 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1dWlkIjoialZYS3JNUVZUMC1PbDJYMXJBZmE1IiwiaWF0IjoxNzEyNDU4Mjc0fQ.l24dDsJs64KhV9SPzltTGl-8o75aqYXTczGtgieJ8H8', '2024-05-07 10:51:14', '2024-04-07 10:51:14.126506', '64b831b0-32a9-4fad-ae3f-9f8f370f3bf2');

-- ----------------------------
-- Table structure for vehicle_usage
-- ----------------------------
DROP TABLE IF EXISTS `vehicle_usage`;
CREATE TABLE `vehicle_usage`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `created_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6),
  `updated_at` datetime(6) NOT NULL DEFAULT CURRENT_TIMESTAMP(6) ON UPDATE CURRENT_TIMESTAMP(6),
  `reviewer` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '审核人',
  `status` tinyint NOT NULL DEFAULT 0 COMMENT '审核状态(字典)',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `year` int NOT NULL COMMENT '年度',
  `vehicle_id` int NOT NULL COMMENT '外出使用的车辆名称(字典)',
  `applicant` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '申请人',
  `driver` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '出行司机',
  `current_mileage` int NULL DEFAULT NULL COMMENT '当前车辆里程数(KM)',
  `expected_start_date` date NULL DEFAULT NULL COMMENT '预计出行开始时间',
  `expected_end_date` date NULL DEFAULT NULL COMMENT '预计出行结束时间',
  `purpose` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '使用事由',
  `actual_return_time` date NULL DEFAULT NULL COMMENT '实际回司时间',
  `return_mileage` int NULL DEFAULT NULL COMMENT '回城车辆里程数(KM)',
  `partner` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '随行人员',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `FK_6aff0ec40ff474e6228c1125f5c`(`vehicle_id`) USING BTREE,
  CONSTRAINT `FK_6aff0ec40ff474e6228c1125f5c` FOREIGN KEY (`vehicle_id`) REFERENCES `sys_dict_item` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of vehicle_usage
-- ----------------------------

-- ----------------------------
-- Table structure for vehicle_usage_storage
-- ----------------------------
DROP TABLE IF EXISTS `vehicle_usage_storage`;
CREATE TABLE `vehicle_usage_storage`  (
  `vehicle_id` int NOT NULL,
  `file_id` int NOT NULL,
  PRIMARY KEY (`vehicle_id`, `file_id`) USING BTREE,
  INDEX `IDX_1d122393de1ee773c383569e71`(`vehicle_id`) USING BTREE,
  INDEX `IDX_a8cbcb6835a9212dd2a49b50ed`(`file_id`) USING BTREE,
  CONSTRAINT `FK_1d122393de1ee773c383569e717` FOREIGN KEY (`vehicle_id`) REFERENCES `vehicle_usage` (`id`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_a8cbcb6835a9212dd2a49b50ed9` FOREIGN KEY (`file_id`) REFERENCES `tool_storage` (`id`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of vehicle_usage_storage
-- ----------------------------

SET FOREIGN_KEY_CHECKS = 1;
