import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { StorageModule } from '~/modules/tools/storage/storage.module';
import { DatabaseModule } from '~/shared/database/database.module';
import { SaleQuotationComponentService } from './sale_quotation_component.service';
import { SaleQuotationComponentController } from './sale_quotation_component.controller';
import { SaleQuotationComponentEntity } from './sale_quotation_component.entity';

@Module({
  imports: [TypeOrmModule.forFeature([SaleQuotationComponentEntity]), StorageModule, DatabaseModule],
  controllers: [SaleQuotationComponentController],
  providers: [SaleQuotationComponentService]
})
export class SaleQuotationComponentModule {}
