import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { StorageModule } from '~/modules/tools/storage/storage.module';
import { DatabaseModule } from '~/shared/database/database.module';
import { SaleQuotationGroupService } from './sale_quotation_group.service';
import { SaleQuotationGroupController } from './sale_quotation_group.controller';
import { SaleQuotationGroupEntity } from './sale_quotation_group.entity';

@Module({
  imports: [TypeOrmModule.forFeature([SaleQuotationGroupEntity]), DatabaseModule],
  controllers: [SaleQuotationGroupController],
  providers: [SaleQuotationGroupService]
})
export class SaleQuotationGroupModule {}
