import { Module } from '@nestjs/common';
import { SaleQuotationGroupModule } from './group/sale_quotation_group.module';
import { SaleQuotationTemplateModule } from './template/sale_quotation_template.module';
import { SaleQuotationComponentModule } from './component/sale_quotation_component.module';
import { RouterModule } from '@nestjs/core';
import { SaleQuotationController } from './sale_quotation.controller';
import { SaleQuotationService } from './sale_quotation.service';
import { TypeOrmModule } from '@nestjs/typeorm';
import { SaleQuotationTemplateEntity } from './template/sale_quotation_template.entity';
import { SaleQuotationGroupEntity } from './group/sale_quotation_group.entity';
import { SaleQuotationComponentEntity } from './component/sale_quotation_component.entity';
const modules = [
  SaleQuotationComponentModule,
  SaleQuotationGroupModule,
  SaleQuotationTemplateModule
];
@Module({
  imports: [
    ...modules,
    TypeOrmModule.forFeature([SaleQuotationTemplateEntity, SaleQuotationGroupEntity,SaleQuotationComponentEntity]),
    RouterModule.register([
      {
        path: 'sale_quotation',
        module: SaleQuotationModule,
        children: [...modules]
      }
    ])
  ],
  controllers: [SaleQuotationController],
  providers: [SaleQuotationService]
})
export class SaleQuotationModule {}
