import { ApiProperty, IntersectionType, PartialType } from '@nestjs/swagger';
import { IsOptional, IsString } from 'class-validator';
import { PagerDto } from '~/common/dto/pager.dto';
import { IsUnique } from '~/shared/database/constraints/unique.constraint';
import { SaleQuotationTemplateEntity } from './sale_quotation_template.entity';

export class SaleQuotationTemplateDto {
  @ApiProperty({ description: '报价模板名称' })
  @IsString()
  name: string;

  @ApiProperty({ description: '报价模板' })
  @IsOptional()
  template: JSON;
}

export class SaleQuotationTemplateUpdateDto extends PartialType(SaleQuotationTemplateDto) {}

export class ComapnyCreateDto extends PartialType(SaleQuotationTemplateDto) {}

export class SaleQuotationTemplateQueryDto extends IntersectionType(
  PagerDto<SaleQuotationTemplateDto>,
  PartialType(SaleQuotationTemplateDto)
) {
  @ApiProperty({ description: '报价模板名称' })
  @IsOptional()
  @IsString()
  name: string;
}
