import { ApiProperty } from '@nestjs/swagger';
import { Column, Entity } from 'typeorm';
import { CommonEntity } from '~/common/entity/common.entity';

/**
 * 报价模板实体类
 */
@Entity({ name: 'sale_quotation_template' })
export class SaleQuotationTemplateEntity extends CommonEntity {
  @Column({
    name: 'name',
    type: 'varchar',
    unique: true,
    length: 255,
    comment: '报价模板名称'
  })
  @ApiProperty({ description: '报价模板名称' })
  name: string;

  @Column({
    name: 'template',
    type: 'json',
    comment: '报价模板',
    nullable: true
  })
  @ApiProperty({ description: '报价模板(JSON)' })
  template: JSON;

  @Column({ name: 'is_delete', type: 'tinyint', default: 0, comment: '是否删除' })
  @ApiProperty({ description: '删除状态：0未删除，1已删除' })
  isDelete: number;
}
